<?php
if ( ! class_exists( 'IPQuiz_Statistic' )) {

    /**
     * Class for statistic handler
     */
    class IPQuiz_Statistic
    {
        /**
         * Administrator display
         *
         * @return void
         */
        public function admin()
        {
            if ( ! empty( $_GET['sub'] ) && $_GET['sub'] == 'user' ) {
                $this->_adminUser();
            } elseif ( ! empty( $_GET['sub'] ) && $_GET['sub'] == 'detail' ) {
                $this->_adminDetail();
            } else {
                $this->_adminGeneral();
            }
        }
        
        /**
         * Administrator display
         *
         * @return void
         */
        protected function _adminGeneral()
        {
            wp_enqueue_script('jquery-ui-datepicker');
        ?>
            <div id="ipquiz-admin" class="wrap ipadm-wrap ipquiz-admin">
                <div class="ipadm-inner">
                    <div class="ipadm-header">
                        <div class="ipquiz-page-title">
                            <h1><?php _e( 'EZ Quiz', 'ipquiz' ); ?></h1>
                        </div>
                    </div>
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">

<div class="ipquiz-stat-tab">
    <ul class="ipadm-clear">
        <li class="ipquiz-selected">
            <a href="admin.php?page=ipquiz-stats"><?php _e( 'General Statistic', 'ipquiz' ); ?></a>
        </li>
        <li>
            <a href="admin.php?page=ipquiz-stats&sub=user"><?php _e( 'Participants', 'ipquiz' ); ?></a>
        </li>
    </ul>
</div>
<div class="ipquiz-page-subtitle">
    <h3><?php _e( 'General Statistic', 'ipquiz' ); ?></h3>
</div>

<div id="ipquiz-admin-stat">
    <?php
    ?>
    <div class="ipquiz-stat-filter ipadm-clear">
        <div class="ipquiz-date-filter">
            <form action="" method="post">
                <input type="hidden" id="value-adid" name="adid" value="0" />
                <?php
                $dateStart = date('m/d/Y');
                $dateEnd   = date('m/d/Y'); 
                ?>
                <strong><?php _e( 'Filter By Date', 'ipquiz' ); ?>: </strong>
                <span class="ipquiz-date-input">
                    <input type="text" id="date-start" name="cdatestart" value="<?php echo $dateStart; ?>" />
                    -
                    <input type="text" id="date-end" name="cdateend" value="<?php echo $dateEnd; ?>" />
                </span>
                <span class="ipquiz-do-filter">
                    <input type="submit" id="do-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', 'ipquiz' ); ?>" />
                </span>
            </form>
        </div>
    </div>

    <div id="ipquiz-stat-main">
        <div id="ipquiz-stat-chart">
        
            <script type="text/javascript" src="https://www.google.com/jsapi"></script>
            <script type="text/javascript">
                google.load("visualization", "1", {packages:["corechart"]});
                google.setOnLoadCallback(drawChart);
                function drawChart() {
                    
                    var dataTable = new google.visualization.DataTable();
                    dataTable.addColumn( 'date', '<?php _e( 'Date', 'ipquiz' ); ?>' );
                    dataTable.addColumn( 'number', '<?php _e( 'Participations', 'ipquiz' ); ?>' );
                    
                    var rows = [
                    <?php
                    $model  = new IPQuiz_Model();
                    $stdata = $model->getStatisticData();
                    if ( $stdata ) {
                        foreach( $stdata as $data ) {
                            $timestamp = strtotime( $data->gdate );
                            $phpdate   = getdate($timestamp);
                            
                            echo '[new Date(' 
                                    . $phpdate['year'] . ', '
                                    . ( $phpdate['mon']  - 1 ) . ', '
                                    . $phpdate['mday'] . ',0,0,0), '
                                    . $data->total_quiz
                                . '],';
                        }
                    }
                    ?>
                    ];
                    dataTable.addRows( rows );
                    
                    var options = {
                        series: [{pointSize:6}]
                    };
                    var chart = new google.visualization.LineChart(document.getElementById('ipquiz-chart-div'));
                    chart.draw(dataTable, options);
                }
            </script>
            
            <div id="ipquiz-chart-div" style="width: 100%; height: 500px;"></div>
            <div id="ipquiz-chart-load" style="display: none;">
                <?php
                $plgurl = plugin_dir_url( dirname(__FILE__) );
                $src    = $plgurl . 'img/loading.gif';
                ?>
                <img src="<?php echo $src; ?>" alt="Loading..." />
            </div>
            
        </div>
    </div>
</div>

                        </div>
                        
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Administrator display
         *
         * @return void
         */
        protected function _adminUser()
        {
        ?>
            <div id="ipquiz-admin" class="wrap ipadm-wrap ipquiz-admin">
                <div class="ipadm-inner">
                    <div class="ipadm-header">
                        <div class="ipquiz-page-title">
                            <h1><?php _e( 'EZ Quiz', 'ipquiz' ); ?></h1>
                        </div>
                    </div>
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-form-wrap">

<div class="ipquiz-stat-tab">
    <ul class="ipadm-clear">
        <li>
            <a href="admin.php?page=ipquiz-stats"><?php _e( 'General Statistic', 'ipquiz' ); ?></a>
        </li>
        <li class="ipquiz-selected">
            <a href="admin.php?page=ipquiz-stats&sub=user"><?php _e( 'Participants', 'ipquiz' ); ?></a>
        </li>
    </ul>
</div>
<div class="ipquiz-page-subtitle">
    <h3><?php _e( 'Participants', 'ipquiz' ); ?></h3>
</div>

<div class="ipquiz-parcs">
    <table id="ipquiz-parc-table">
        <thead>
            <tr>
                <th class="ipquiz-th-name"><?php _e( 'Name', 'ipquiz' ); ?></th>
                <th class="ipquiz-th-email"><?php _e( 'Email Address', 'ipquiz' ); ?></th>
                <th class="ipquiz-th-date"><?php _e( 'First Participation', 'ipquiz' ); ?></th>
                <th class="ipquiz-th-count"><?php _e( 'Participation', 'ipquiz' ); ?></th>
                <th class="ipquiz-th-point"><?php _e( 'Point', 'ipquiz' ); ?></th>
                <th class="ipquiz-th-action"></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $model = new IPQuiz_Model();
            if ( $parcs = $model->getParticipants() ) :
                foreach( $parcs as $parc ) :
                
                    $total   = 0;
                    $prodata = $model->getParticipation( $parc->parc_id );
                    if ( ! empty( $prodata->total )) {
                        $total = $prodata->total;
                    }
                    $link  = admin_url() . 'admin.php?page=ipquiz-stats&sub=detail&id='.$parc->parc_id;
                ?>
            <tr>
                <td><?php echo $parc->name; ?></td>
                <td><?php echo $parc->email; ?></td>
                <td><?php echo mysql2date( 'd F Y, h:i', $parc->join_date ); ?></td>
                <td><?php echo $total; ?></td>
                <td><?php echo $parc->point; ?></td>
                <td class="ipquiz-tb-action">
                    <a class="ipquiz-fb-link" href="<?php echo $parc->link; ?>"><i class="fa fa-facebook"></i></a>
                    <a class="ipquiz-dtl-link" href="<?php echo $link; ?>"><i class="fa fa-eye"></i></a>
                </td>
            </tr>
            <?php
                endforeach;
            endif;
            ?>
        </tbody>
    </table>
</div>

                            </div>
                        </div>
                        
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Administrator for detail participatn
         *
         * @return void
         */
        protected function _adminDetail()
        {
            $model = new IPQuiz_Model();
            if ( empty( $_GET['id'] )) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipquiz') );
            }
            $id = absint( $_GET['id'] );
            if ( ! $parc = $model->getParticipant( $id ) ) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipquiz') );
            }
            $meta = maybe_unserialize( $parc->meta );
        ?>
            <div id="ipquiz-admin" class="wrap ipadm-wrap ipquiz-admin">
                <div class="ipadm-inner">
                    <div class="ipadm-header">
                        <div class="ipquiz-page-title">
                            <h1><?php _e( 'EZ Quiz', 'ipquiz' ); ?></h1>
                        </div>
                    </div>
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-form-wrap">

<div class="ipquiz-stat-tab">
    <ul class="ipadm-clear">
        <li>
            <a href="admin.php?page=ipquiz-stats"><?php _e( 'General Statistic', 'ipquiz' ); ?></a>
        </li>
        <li class="ipquiz-selected">
            <a href="admin.php?page=ipquiz-stats&sub=user"><?php _e( 'Participants', 'ipquiz' ); ?></a>
        </li>
    </ul>
</div>
<div class="ipquiz-page-subtitle">
    <h3><?php _e( 'DetailParticipant', 'ipquiz' ); ?></h3>
</div>

<div class="ipquiz-parc-detail">
    
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'ID', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <strong><?php echo $parc->parc_id; ?></strong>
            </div>
        </div>
    </div>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'Facebook ID', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <strong><?php echo $parc->facebook_id; ?></strong>
            </div>
        </div>
    </div>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'Email', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <strong><?php echo $parc->email; ?></strong>
            </div>
        </div>
    </div>
    <?php
    if ( ! empty( $meta['first_name'] )) :
    ?>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'First Name', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <strong><?php echo $meta['first_name']; ?></strong>
            </div>
        </div>
    </div>
    <?php
    endif;
    ?>
    <?php
    if ( ! empty( $meta['last_name'] )) :
    ?>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'Last Name', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <strong><?php echo $meta['last_name']; ?></strong>
            </div>
        </div>
    </div>
    <?php
    endif;
    ?>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'Name', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <strong><?php echo $parc->name; ?></strong>
            </div>
        </div>
    </div>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'Facebook URL', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <strong><?php echo $parc->link; ?></strong> <a href="<?php echo $parc->link; ?>"><?php _e( 'Go to link', 'ipquiz' ); ?></a>
            </div>
        </div>
    </div>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'First Participant', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <strong><?php echo mysql2date( 'd F Y, h:i', $parc->join_date ); ?></strong>
            </div>
        </div>
    </div>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'Participant', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <?php
                $total   = 0;
                $prodata = $model->getParticipation( $parc->parc_id );
                if ( ! empty( $prodata->total )) {
                    $total = $prodata->total;
                }
                echo $total;
                ?>
            </div>
        </div>
    </div>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipadm-label">
            <label><?php _e( 'Point', 'ipquiz' ); ?></label>
        </div>
        <div class="ipadm-field">
            <div class="ipadm-input-wrap">
                <strong><?php echo $parc->point; ?></strong>
            </div>
        </div>
    </div>
    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
        <div class="ipquiz-form-actions">
            <a class="ipadm-btn ipadm-btn-primary" href="<?php echo admin_url() . 'admin.php?page=ipquiz-stats&sub=user'; ?>">
                <?php _e( 'Back', 'ipquiz' ); ?>
            </a>
        </div>
    </div>
    
</div>

            </div>
        </div>
        
    </div>
                </div>
            </div>
        <?php
        }
    }
}