/**
 * Admin Script
 **/
 
var ipquiz_get_preview = null;
var ipquiz_qtn = [];

(function($){
    
    //Upload image
    $.fn.ipquiz_uploadImage = function(setting){
    
        $(this).each( function(){
        
            var root  = $(this),
                files = 'null',
                formdata = false;
            
            if (window.FormData) {
                formdata = new FormData();
            }
            if ( files == 'null' ) {
                $( '.ipquiz-upload-btn', root ).addClass( 'button-disabled' );
                $( '.ipquiz-upload-btn', root ).attr( 'disabled', 'disabled' );
            }
            
            $( '.ipquiz-input-upload', root ).change( function(){
                $( '.ipquiz-upload-btn', root ).removeClass( 'button-disabled' );
                $( '.ipquiz-upload-btn', root ).removeAttr( 'disabled' );
                files = this.files;
            });
            
            $( '.ipquiz-upload-btn', root ).click( function(){
            
                var button = $(this);
                var postid = $( '#value-postid' ).val();
                
                if ( files == 'null' ) {
                    alert( 'You must select an image' );
                } else {
                
                    var loader = '<div class="ipadm-loader-small"></div>';
                    button.after( loader );
                    button.addClass( 'button-disabled' );
                    button.attr( 'disabled', 'disabled' );
                    
                    var len = files.length;

                    for ( var i = 0; i < len; i++ ) {
                        file = files[i];
                
                        if (!!file.type.match(/image.*/)) {
                            if ( window.FileReader ) {
                                reader = new FileReader();
                                reader.readAsDataURL(file);
                            }
                            if (formdata) {
                                formdata.append("async-upload", file);
                            }
                        }
                    }
                    
                    var type  = $( '.ipquiz-upload-type', root ).val();
                    if (formdata) {
                        $.ajax({
                            url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_upload&type='+type,
                            type: "POST",
                            data: formdata,
                            processData: false,
                            contentType: false,
                            dataType: "json",
                            success: function ( result ) {
                                
                                if ( result.status == '1' ) {
                                    
                                    if ( result.data.sizes.medium !== undefined ) {
                                        var src = result.data.sizes.medium.url;
                                    } else {
                                        var src = result.data.sizes.full.url;
                                    }
                                    ipquiz_tools.showInputMessage( 'Successfully uploading image', 'success', root );
                                    $( '.ipquiz-image-preview', root ).html( '<img src="'+src+'">' );
                                    $( '.ipquiz-photo-id', root ).val(result.data.id);
                                    
                                    $( '.ipquiz-reset-img', root ).show();
                                    
                                } else {
                                    ipquiz_tools.showInputMessage( 'Upload image was failed', 'danger', root );
                                }
                                $( '.ipadm-loader-small' ).remove();
                            }
                        });
                    }
                }
                return false;
            });
            
            $( '.ipquiz-reset-img', root ).click( function(){
                
                var button = $(this);
                var attach = $( '.ipquiz-photo-id', root ).val();
                
                var loader = '<div class="ipadm-loader-small"></div>';
                button.after( loader );
                button.addClass( 'button-disabled' );
                button.attr( 'disabled', 'disabled' );
                
                var type = $( '.ipquiz-upload-type', root ).val();
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_clearImage',
                    type: "POST",
                    data: 'type='+type+'&attach='+attach,
                    dataType: "json",
                    success: function ( result ) {
                        
                        if ( result.status == '1' ) {
                            ipquiz_tools.showInputMessage( 'Successfully clearing image', 'success', root );
                            $( '.ipquiz-image-preview', root ).html( '<div class="none">No image</div>' );
                            $( '.ipquiz-photo-id', root ).val(0);
                            button.hide();
                        } else {
                            ipquiz_tools.showInputMessage( 'Image was failed to clear', 'danger', root );
                        }
                        $( '.ipadm-loader-small' ).remove();
                    }
                });
                return false;
            });
        });
    };
    
    //Add/Update quiz
    $.fn.ipquiz_save = function(options) {
        
        var defaults  = {
            saveAdd: true
        };
        var options = $.extend( defaults, options );
        
        var link  = $(this);
        link.click( function() {
        
            var loader = $( '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>' );
            link.attr( 'disabled', 'disabled' );
            link.after( loader );
            var formdata = ipquiz_tools.getdataform( $( '.ipadm-wrap' ) );
            var action   = ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_save';
            if ( options.saveAdd ) {
                action = action+'&add=1';
            }
            formdata += '&question_data=' + $.toJSON( ipquiz_qtn );
            
            $.ajax({
                url: action,
                type: "POST",
                data: formdata,
                dataType: "json",
                success: function ( result ) {
                    if ( options.saveAdd ) {
                        if ( result.status == 1 ) {
                            window.location.href = 'admin.php?page=ipquiz&add=1';
                        }
                    }
                    //Reset image input
                    $( 'input[type="file"]' ).each( function()
                    {
                        if (/MSIE/.test(navigator.userAgent)) {
                            $(this).replaceWith($(this).clone(true));
                        } else {
                            $(this).val('');
                        }
                    });
                    
                    if ( result.status == 1 ) {
                        var sclass = 'ipadm-success';
                    } else {
                        var sclass = 'ipadm-error';
                    }
                    link.removeAttr( 'disabled');
                    loader.remove();
                    $( '#value-quizid' ).val( result.quizid );
                    ipquiz_tools.showMessage( result.message, sclass );
                    ipquiz_tools.goTo( '.ipadm-wrap' );
                },
            });
            return false;
        });
        
    };
    
    var ipquiz_helper = {
        
        //Add question
        addQuestion: function()
        {
            $( '#ipquiz-btn-add-qtn' ).click( function()
            {
                //Save js data
                var form    = $(this).parents( '#ipquiz-question-popup' );
                var count   = $( '#ipquiz-qtnlist-main .ipquiz-qtn-item' ).length;
                var id      = count+1;
                var answers = [];
                var ans_count = 0;
                $( '.ipquiz-answer-list .ipquiz-answer-item' ).each( function()
                {
                    var item = $(this);
                    var ans  = $( '.ipquiz-input-answer', item ).val();
                    if ( ans != '' ) 
                    {
                        answers[ans_count] = {
                            id: 0,
                            answer: ans,
                            status: $( '.ipquiz-input-ans-status', item ).val()
                        };
                    }
                    ans_count++;
                });
                
                var quest = ipquiz_tools.getTinymce( 'question' );
                ipquiz_qtn[id] = {
                    id: 0,
                    question: quest,
                    type: $( '#input-type-question' ).val(),
                    imageid: $( '.ipquiz-photo-id', form ).val(),
                    imagesrc: $( '.ipquiz-image-preview img', form ).attr('src'),
                    answer: answers
                };
                
                //Add html data
                if ( count < 1 ) {
                    $( '#ipquiz-qtnlist-main' ).show();
                    $( '#ipquiz-qtnlist-empty' ).hide();
                }
                var qtn  = $( '<div></div>' );
                var edit = $( '<a></a>' ).attr( 'data-id', id )
                                         .attr( 'class', 'ipquiz-qtn-edit' )
                                         .attr( 'href', '#' )
                                         .html( '<i class="fa fa-pencil"></i>' );
                var del  = $( '<a></a>' ).attr( 'data-id', id )
                                         .attr( 'class', 'ipquiz-qtn-delete' )
                                         .attr( 'href', '#' )
                                         .html( '<i class="fa fa-times"></i>' );
                
                ipquiz_helper.popupEditQuestion( edit );
                ipquiz_helper.deleteQuestion( del );
                var act  = $( '<div class="ipquiz-col ipquiz-actions"></div>' )
                            .append( edit )
                            .append( del );
                
                if ( quest == '' ) {
                    quest = '...';
                }
                qtn.attr( 'id', 'ipquiz-qtn-item-'+id );
                qtn.attr( 'data-qtnid', 0 );
                qtn.attr( 'class', 'ipquiz-qtn-item ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear' );
                qtn.append( '<div class="ipquiz-col ipquiz-order"><a href="#"><i class="fa fa-arrows"></i></a></div>' );
                qtn.append( '<div class="ipquiz-col ipquiz-qtn-title">'+quest+'</div>' );
                qtn.append( act );
                
                $( '#ipquiz-qtnlist-main' ).append( qtn );
                ipquiz_helper.clearQuestion();
                ipquiz_ui.popup.hide( form );
                return false;
            });
        },
        
        //Edit question
        editQuestion: function()
        {
            $( '#ipquiz-btn-edit-qtn' ).click( function()
            {
                //Save js data
                var form    = $(this).parents( '#ipquiz-question-popup' );
                var id      = $( '#value-qtnid' ).val();
                var item    = $( '#ipquiz-qtn-item-'+id );
                var answers = [];
                
                var ans_count = 0;
                $( '.ipquiz-answer-list .ipquiz-answer-item' ).each( function()
                {
                    var item = $(this);
                    var ans  = $( '.ipquiz-input-answer', item ).val();
                    if ( ans != '' && ans != ' ' ) 
                    {
                        answers[ans_count] = {
                            id: item.data( 'ansid' ),
                            answer: ans,
                            status: $( '.ipquiz-input-ans-status', item ).val()
                        };
                    }
                    ans_count++;
                });
                
                var quest = ipquiz_tools.getTinymce( 'question' );
                if ( quest == '' ) {
                    quest = '...';
                }
                ipquiz_qtn[id] = {
                    id: item.data( 'qtnid' ),
                    question: quest,
                    type: $( '#input-type-question' ).val(),
                    imageid: $( '.ipquiz-photo-id', form ).val(),
                    imagesrc: $( '.ipquiz-image-preview img', form ).attr('src'),
                    answer: answers
                };
                
                //Edit html data
                $( '.ipquiz-qtn-title', item ).html( quest );
                
                ipquiz_helper.clearQuestion();
                ipquiz_ui.popup.hide( form );
                return false;
            });
        },
        
        //Popup edit question
        popupEditQuestion: function( button )
        {
            button.click( function()
            {
                var id = button.data( 'id' );
                if ( typeof ipquiz_qtn[id] !== 'undefined' ) 
                {
                    var item  = ipquiz_qtn[id];
                    var popup = jQuery( '#ipquiz-question-popup' );
                    if ( popup.length > 0 ) 
                    {
                        ipquiz_ui.popup.show( popup, {
                            'width': '100%'
                        });
                        
                        $( '#ipquiz-qtn-add-title' ).hide();
                        $( '#ipquiz-qtn-edit-title' ).show();
                        $( '#ipquiz-btn-add-qtn' ).hide();
                        $( '#ipquiz-btn-edit-qtn' ).show();
                        //Set input
                        ipquiz_tools.setTinymce( 'question', item.question );
                        $( '#value-qtnid' ).val( id );
                        $( '#input-type-question option[value="'+item.type+'"]' ).attr( 'selected', 'selected' );
                        if ( typeof item.imagesrc !== 'undefined' && item.imagesrc != ''  ) {
                            $( '.ipquiz-image-preview', popup ).html( '<img src="'+item.imagesrc+'">' );
                            $( '.ipquiz-photo-id', popup ).val( item.imageid );
                            $( '.ipquiz-reset-img', popup ).show();
                        }
                        
                        //Create Answer
                        if ( item.answer ) {
                            $( '.ipquiz-answer-list .ipquiz-answer-item' ).remove();
                            for (var i = 0; i < item.answer.length; i++) 
                            { 
                                var input = $( '#__ipquiz-answer-item-root' ).clone();
                                input.addClass( 'ipquiz-answer-item' )
                                     .attr( 'data-ansid', item.answer[i].id )
                                     .removeAttr( 'id' )
                                     .show();
                                
                                var text   = input.find( 'input' );
                                var select = input.find( 'select' );
                                text.attr( 'name', text.attr( 'name' ).replace( '__', '' ) );
                                text.val( item.answer[i].answer );
                                select.attr( 'name', select.attr( 'name' ).replace( '__', '' ) );
                                $( 'option[value="'+item.answer[i].status+'"]', select ).attr( 'selected', 'selected' );
                                
                                ipquiz_helper.deleteAnswer( input.find( '.ipquiz-ans-delete' ) );
                                $( '.ipquiz-answer-list' ).append( input );
                            }
                        }
                    }
                }
                return false;
            });
        },
        
        //clear question
        clearQuestion: function()
        {
            var root = $( '#ipquiz-question-popup' );
            $( 'form', root )[0].reset();
            //Reset answer
            var count = 0;
            $( '.ipquiz-answer-list .ipquiz-answer-item' ).each( function()
            {
                if ( count > 0 ) {
                    $(this).remove();
                }
                count++;
            });
            //Reset image
            $( '.ipquiz-image-preview', root ).html( '<div class="none">No image</div>' );
            $( '.ipquiz-photo-id', root ).val(0);
            $( '.ipquiz-reset-img', root ).hide();
        },
        
        //Delete question
        deleteQuestion: function( button )
        {
            button.click( function()
            {
                var id = button.data( 'id' );
                ipquiz_qtn[id] = null;
                var object = button.parents( '.ipquiz-qtn-item' );
                object.animate({opacity: "0", height: "0"}, 600, function(){
                    setTimeout( function(){
                        object.remove();
                    }, 1000);
                });
                return false;
            });
        },
        
        //Delete answer item
        deleteAnswer: function( button )
        {
            button.click( function()
            {
                var object = button.parents( '.ipquiz-answer-item' );
                object.animate({opacity: "0", height: "0"}, 600, function(){
                    setTimeout( function(){
                        object.remove();
                    }, 1000);
                });
                return false;
            });
        }
    };
    
    /**
     * Statistic Script
     **/
    var ipquiz_stats = {
    
        datepicker: function()
        {
            var root = $( '#ipquiz-admin-stat' );
            $( '#date-start',root )
                .datepicker()
                .bind('changeDate', function(ev){
                    $( '#date-start',root ).datepicker('hide');
                });
                
            $( '#date-end', root )
                .datepicker()
                .bind('changeDate', function(ev){
                    $( '#date-end',root ).datepicker('hide');
                });
        },
        
        datecart: function()
        {
            $( '#do-filter-date' ).click( function()
            {
                var dateStart = $( '#date-start' ).val();
                var dateEnd   = $( '#date-end' ).val();
                var adId      = $( '#value-adid' ).val();
                
                //Show loader
                $( '#ipquiz-chart-div' ).html('').hide();
                $( '#ipquiz-chart-load' ).show();
                
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_getchart',
                    type: "POST",
                    data: 'start='+dateStart+'&end='+dateEnd+'&adid='+adId,
                    dataType: "json",
                    success: function (result ) {
                        
                        $( '#ipquiz-chart-div' ).show();
                        $( '#ipquiz-chart-load' ).hide();
                        if ( result.status == 1 && result.data.length > 0 ) 
                        {
                            var dataTable = new google.visualization.DataTable();
                            dataTable.addColumn( 'date', result.labelDate );
                            dataTable.addColumn( 'number', result.labelParc );
                            
                            var rows = [];
                            for (var i=0; i<result.data.length; i++)
                            { 
                                var cur   = result.data[i];
                                var data  = [ new Date( cur.year, cur.mon, cur.day ), cur.total_parc ];
                                rows.push( data );
                            }
                            dataTable.addRows( rows );
                            var options = {
                                series: [{pointSize:6}]
                            };
                            var chart = new google.visualization.LineChart(document.getElementById('ipquiz-chart-div'));
                            chart.draw(dataTable, options);
                        }
                    },
                    error: function () {
                        alert( "Error in get statistic data" );
                    },
                });
                
                return false;
            });
        }
    };
    
    //Tools
    var ipquiz_tools = {
    
        goTo: function( id ){
            var pos = $( id ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        },
        showMessage: function( msg, eclass ) {
            
            $( '#ipadm-messages' ).html( msg )
                                  .attr( 'class', eclass )
                                  .show();
                                  
            setTimeout( function(){
                $( '#ipadm-messages' ).animate({opacity: "0"}, 600, function(){
                    $(this).html( '' ).hide();
                    $( '#ipadm-messages' ).css( 'opacity', 1 );
                });
            }, 4000 );
        },
        showInputMessage: function( msg, type, input ) {
    
            $( '.ipadm-alert' ).remove();
            var msgHtml = $( '<div class="ipadm-alert"></div>' );
            msgHtml.addClass( 'ipadm-alert-' + type );
            msgHtml.html( msg );
            
            $( input ).before( msgHtml );
            setTimeout( function(){
                msgHtml.animate({opacity: "0"}, 600, function(){
                    msgHtml.remove();
                });
            }, 4000 );
        },
        showModalMessage: function( message, type )
        {
            $( '#ipquiz-modal-message' ).text( message );
            $( '#ipquiz-modal-message-overlay' )
                .removeAttr( 'class' )
                .attr( 'class', type )
                .show()
                .animate({top: "0"}, 600, function(){
                    var msg = $(this);
                    setTimeout( function(){
                        msg.animate({top: '-100px'}, 600, function(){
                            msg.hide();
                        });
                    }, 4000);
                });
        },
        getdataform: function( parent ) 
        {
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';
            
            var data = '';
            
            $( selector, parent ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );
                
                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            if (typeof tinymce !== 'undefined') {
                for ( edId in tinymce.editors ) {
                    
                    if ( edId.length > 1 ) {
                        var value = tinymce.editors[edId].getContent();
                        if ( data != '' ) {
                            data += '&';
                        }
                        data += edId+'='+value;
                    }
                }
            }
            return data;
        },
        showModalConfirm: function()
        {
            $( '#ipquiz-modal-confirm-overlay' ).show();
            return $( '#ipquiz-modal-confirm' )
                        .css( 'margin-top', '-40%' )
                        .animate({marginTop: "100px"}, 400);
        },
        hideModalConfirm: function()
        {
            $( '#ipquiz-modal-confirm-overlay' )
                .animate( {opacity: 0}, 600, function(){
                    $(this).css( 'opacity', 1 )
                           .hide();
            });
            $( '#ipquiz-modal-confirm' )
                .animate( {marginTop: '-60%'}, 400);
            
        },
        getTinymce: function( contentId )
        {
            var content = '';
            if (typeof tinymce !== 'undefined') {
                content = tinyMCE.get( contentId ).getContent();
            }
            return content;
        },
        setTinymce: function( contentId, content )
        {
            if (typeof tinymce !== 'undefined') {
                tinyMCE.get( contentId ).setContent( content );
            }
        }
    };
    
    $(document).ready(function()
    {
        //Add/Update Quiz
        $( '#ipquiz-add-quiz' ).ipquiz_save();
        $( '#ipquiz-edit-quiz' ).ipquiz_save({
            saveAdd: false
        });
        
        //Question handler
        //Set value
        if (typeof ipquiz_qtn_temp !== 'undefined') {
            ipquiz_qtn = ipquiz_qtn_temp;
        }
        
        //Open question form
        $( '#ipquiz-add-question' ).click( function()
        {
            var button = $(this);
            var popup  = jQuery( '#ipquiz-question-popup' );
            if ( popup.length > 0 ) 
            {
                $( '#ipquiz-qtn-add-title' ).show();
                $( '#ipquiz-qtn-edit-title' ).hide();
                $( '#ipquiz-btn-add-qtn' ).show();
                $( '#ipquiz-btn-edit-qtn' ).hide();
                ipquiz_helper.clearQuestion();
                
                ipquiz_ui.popup.show( popup, {
                    'width': '100%'
                });
            }
            return false;
        });
        
        //Add question
        ipquiz_helper.addQuestion();
        
        //Edit question
        ipquiz_helper.editQuestion();
        
        //Delete question
        $( '.ipquiz-qtn-delete' ).each( function()
        {
            var button = $(this);
            ipquiz_helper.deleteQuestion( button );
        });
        
        //Popup edit question
        $( '.ipquiz-qtn-edit' ).each( function()
        {
            ipquiz_helper.popupEditQuestion( $(this) );
        });
        
        //Answer handler
        //Duplicate answer input
        if ( $( '.ipquiz-answer-list' ).length > 0 ) 
        {
            var input = $( '.ipquiz-answer-list .ipquiz-answer-item:first-child' ).clone();
            input.removeClass( 'ipquiz-answer-item' )
                 .attr( 'id', '__ipquiz-answer-item-root' )
                 .hide();
            
            var text   = input.find( 'input' );
            var select = input.find( 'select' );
            text.attr( 'name', '__' + text.attr( 'name' ) );
            select.attr( 'name', '__' + select.attr( 'name' ) );
            
            $( '.ipquiz-answer-list' ).append( input );
            ipquiz_helper.deleteAnswer( $( '.ipquiz-ans-delete' ) );
        }
        //Add answer input
        $( '#ipquiz-add-answer' ).click( function()
        {
            var input = $( '#__ipquiz-answer-item-root' ).clone();
            input.addClass( 'ipquiz-answer-item' )
                 .attr( 'data-ansid', 0 )
                 .removeAttr( 'id' )
                 .show();
            
            var text   = input.find( 'input' );
            var select = input.find( 'select' );
            text.attr( 'name', text.attr( 'name' ).replace( '__', '' ) );
            select.attr( 'name', select.attr( 'name' ).replace( '__', '' ) );
            
            ipquiz_helper.deleteAnswer( input.find( '.ipquiz-ans-delete' ) );
            
            $( '.ipquiz-answer-list' ).append( input );
            return false;
        });
        
        //Delete quiz
        $( '.ipquiz-delete' ).each( function(){
            
            var button    = $(this);
            var inconfirm = false;
            button.click( function()
            {
                ipquiz_tools.showModalConfirm();
                inconfirm = true;
                return false;
            });
            
            $( '#ipquiz-modal-confirm .ipquiz-deny' ).click( function()
            {
                if ( inconfirm ) {
                    ipquiz_tools.hideModalConfirm();
                    inconfirm = false;
                }
                return false;
            });
            $( '#ipquiz-modal-confirm .ipquiz-accept' ).click( function()
            {
                if ( ! inconfirm ) {
                    return false;
                }
                ipquiz_tools.hideModalConfirm();
                inconfirm = false;
                
                var id = button.attr( 'href' ).replace( '#toDelete_', '' );
                $( '.ipadm_loader_small' ).remove();
                var loader = '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>';
                button.after( loader );
                
                button.addClass( 'ipadm-btn-disabled' )
                      .attr( 'disabled', 'disabled' );
                
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_delete&id='+id,
                    type: "POST",
                    dataType: "json",
                    success: function (result) {
                        
                        if ( result.status == '-1' ) {
                            ipquiz_tools.showModalMessage( result.message, 'ipadm-error' );
                        } else {
                            ipquiz_tools.showModalMessage( result.message, 'ipadm-success' );
                            var tr = button.parents( 'tr' );
                            tr.hide( 'blind' );
                            setTimeout( function(){
                                tr.remove();
                            }, 600);
                        }
                        button.removeClass( 'ipadm-btn-disabled' )
                              .removeAttr( 'disabled' );
                        $( '.ipadm-loader-small' ).remove();
                        
                    },
                    error: function () {
                        alert( "Error in deleting quiz." );
                    },
                });
                
                return false;
            });
        });
        
        //Upload image
        $( '.ipquiz-input-upload' ).ipquiz_uploadImage();
        
        //Color picker
        if ( $('.ipquiz-color-picker').length > 0 ) {
            $('.ipquiz-color-picker').each( function() {
                var picker = $(this);
                picker.wpColorPicker();
            });
        }
        //Radio Button
        $( '.ipadm-btn-radio button' ).ipadm_radiobutton();
        
        //Status input
        $( '#ipquiz-edit-status' ).click( function(){
            
            var values = $( '#ipquiz-status-values' );
            if ( values.hasClass( 'ipadm-hide' )) {
                values.removeClass( 'ipadm-hide' );
            } else {
                values.addClass( 'ipadm-hide' );
            }
            return false;
        });
        
        //Select size
        $ ( '#ipquiz-input-size' ).change( function()
        {
            var root  = $(this).parents( '.ipadm-field-box' );
            var value = $(this).val();
            if ( value == 'custom' ) {
                $( '.ipadm-toggle-option', root ).show();
            } else {
                $( '.ipadm-toggle-option', root ).hide();
            }
        });
        
        //Sortable
        if ( $( '#ipquiz-qtnlist-main' ).length > 0 ) {
            $( '#ipquiz-qtnlist-main' ).sortable({
                update: function( event, ui ) 
                {
                    var count   = 1;
                    var newlist = [];
                    var root    = $( '#ipquiz-qtnlist-main' );
                    $( '.ipquiz-qtn-item', root ).each( function()
                    {
                        var id = $(this).attr( 'id' ).replace( 'ipquiz-qtn-item-', '' );
                        if ( typeof ipquiz_qtn[id] !== 'undefined' ) 
                        {
                            newlist[count] = ipquiz_qtn[id];
                            $(this).attr( 'id', 'ipquiz-qtn-item-' + count );
                            $( '.ipquiz-qtn-edit', $(this) ).data( 'id', count );
                            $( '.ipquiz-qtn-delete', $(this) ).data( 'id', count );
                        }
                        count++;
                    });
                    ipquiz_qtn = newlist;
                }
            });
        }
        if ( $( '.ipquiz-answer-list' ).length > 0 ) {
            $( '.ipquiz-answer-list' ).sortable({
                update: function( event, ui ) {
                    //saveAnswerOrder();
                }
            });
        }
        
        //Setting
        $( '#ipquiz-do-save-fb' ).click( function()
        {
            var button = $(this);
            $( '.ipadm-loader-small' ).remove();
            var loader = '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>';
            button.after( loader )
                  .addClass( 'ipadm-btn-disabled' )
                  .attr( 'disabled', 'disabled' );
            
            var formdata = ipquiz_tools.getdataform( $( '#ipquiz-form-fbsett' ) );
            
            $.ajax({
                url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_savesetting',
                type: "POST",
                data: formdata,
                dataType: "json",
                success: function ( result ) {
                    if ( result.status == '1' ) {
                        ipquiz_tools.showModalMessage( result.message, 'ipadm-success' );
                    } else {
                        ipquiz_tools.showModalMessage( result.message, 'ipadm-alert' );
                    }
                    $( '.ipadm-loader-small' ).remove();
                    button.removeClass( 'ipadm-btn-disabled' )
                          .removeAttr( 'disabled' );
                }
            });
            
            return false;
        });
        
        
        //Run statistic script
        if ( $( '#ipquiz-admin-stat' ).length > 0 ) 
        {
            //Datepicker setup
            ipquiz_stats.datepicker();
            //Draw Cart
            ipquiz_stats.datecart();
        }
    });
    
})(jQuery);