/**
 * FB Script
 **/

var ipquiz_FB = {};

(function($){
    
    var ipquiz_interval = null;
    
    $.fn.ipquiz_circularBar = function( options )
    {
        //Configuration
        var defaults = {
            width:  10,
            radius: 22,
            speed: 400,
            animated: true
        };
        var options  = $.extend( defaults, options );
        
        $(this).each( function() 
        {
            var canvas = $(this);
            var quiz   = canvas.parents( '.ipquiz-item' );
            var size   = new Number(canvas.data( 'size' ));
            var color  = canvas.data( 'color' );
            var step   = $( '.ipquiz-current-step', quiz ).val();
            var quest  = $( '.ipquiz-step-'+step, quiz );
            
            
            var timelimit = $( '.ipquiz-counter', quiz ).data( 'time' );
            var meter     = (size/100)*360;
            var endpoint  = meter;
            
            canvas.drawArc({
                layer: true,
                name: "myCircle",
                strokeStyle: color,
                strokeWidth: options.width,
                x: 28, y: 28,
                radius: options.radius,
                // start and end angles in degrees
                start: 0, 
                end: endpoint
            });
            
            // Animate layer properties
            if ( options.animated && ! quest.hasClass( 'ipquiz-in-timeout' ) ) {
                var timecur = 0;
                ipquiz_interval = setInterval(function()
                {
                    timecur++;
                    var max = timelimit * 1000;
                    var tc  = (timecur*1000);
                    var sz  = ((100/timelimit)) * timecur;
                    var mtr = (sz/100)*360;
                    canvas.animateLayer("myCircle", { end: mtr },options.speed);
                    //Text
                    var count = new Number( $( '.ipquiz-counter-info', quiz ).text() );
                    count--;
                    $( '.ipquiz-counter-info', quiz ).text( count );
                    if ( tc == max || tc > max ) 
                    {
                        //Timeout
                        quest.addClass( 'ipquiz-in-timeout' );
                        var info  = $( '.ipquiz-timeout-info', quest ).text();
                        //Audio
                        var waudio = $( '.ipquiz-wrong-audio', quiz );
                        if ( waudio.length > 0 ) {
                            waudio.trigger('play');
                        }
                        alert( info );
                        $( '.ipquiz-timeout-info', quest ).show();
                        window.clearInterval( ipquiz_interval );
                        
                        //Save data
                        var quizId = quiz.attr( 'id' ).replace( 'ipquiz-item-', '' );
                        var qustId = quest.data( 'id' );
                        var parcId = $( '.ipquiz-st-118-2', quiz ).val();
                        var data   = ipquiz_front_tools.getdataform( quest );
                        data += '&quiz='+quizId+'&question='+qustId+'&parc='+parcId+'&timeout=1'+'&step='+step;
                        
                        $.ajax({
                            url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_choice',
                            type: "POST",
                            data: data,
                            dataType: "json",
                            success: function (result) {
                            }
                        });
                        
                        return;
                    }
                },1000);
            }
        });
    };
    
    $.fn.ipquiz_init = function()
    {
        var quiz = $(this);
        
        //Answer select
        $( '.ipquiz-answer', quiz ).click( function()
        {
            var question = $(this).parents( '.ipquiz-question' );
            if ( ! question.hasClass( 'ipquiz-question-multiple' ) ) {
                $( '.ipquiz-answer-value', question ).val( 0 );
            }
            var input = $( '.ipquiz-answer-value', $(this) );
            if ( $( '.ipquiz-answer-check', $(this) ).is( ':checked' )) {
                input.val( 1 );
            } else {
                input.val( 0 );
            }
        });
        
        //Next question
        $( '.ipquiz-btn-next a', quiz ).click( function()
        {
            var wrong    = false;
            var button   = $(this);
            var step     = $( '.ipquiz-current-step', quiz ).val();
            var question = $( '.ipquiz-step-'+step, quiz );
            var count    = $( '.ipquiz-question', quiz ).length;
            
            //Go to finish
            if ( step == count || step > count ) 
            {
                window.clearInterval( ipquiz_interval );
                ipquiz_finish( quiz );
                return false;
            }
            step++;
            
            var next     = $( '.ipquiz-step-'+step, quiz );
            var effect   = $( '.ipquiz-effect', quiz ).val();
            var caudio   = $( '.ipquiz-correct-audio', quiz );
            var waudio   = $( '.ipquiz-wrong-audio', quiz );
            
            if ( wrong ) {
                if ( waudio.length > 0 ) {
                    waudio.trigger('play');
                }
            } else {
                if ( caudio.length > 0 ) {
                    caudio.trigger('play');
                }
            }
            $( '.ipquiz-current-step', quiz ).val( step );
            question.hide();
            next.show( effect );
            
            //Reset counter
            window.clearInterval( ipquiz_interval );
            var time = $( '.ipquiz-counter', quiz ).data( 'time' );
            $( '.ipquiz-counter .ipquiz-counter-info', quiz ).text(time);
            $( '.ipquiz-counter .ipquiz-counter-meter', quiz )
                .animateLayer("myCircle", { end: 0 },100)
                .attr( 'data-size', 0 )
                .ipquiz_circularBar();
            
            //Progress
            var percent = 100/count*step;
            $( '.ipquiz-progress-info', quiz ).text( step+'/'+count );
            $( '.ipquiz-progress-val', quiz ).animate( {width: percent+"%"}, 800 );
            $( '.ipquiz-progress-info', quiz ).animate( {left: percent+"%"}, 800 );
            
            //Save data
            if ( ! question.hasClass( 'ipquiz-in-timeout' ) )
            {
                $( '.ipquiz-timeout-info', quiz ).hide();
                var quizId = quiz.attr( 'id' ).replace( 'ipquiz-item-', '' );
                var qustId = question.data( 'id' );
                var parcId = $( '.ipquiz-st-118-2', quiz ).val();
                var data   = ipquiz_front_tools.getdataform( question );
                data += '&quiz='+quizId+'&question='+qustId+'&parc='+parcId+'&step='+step;
                
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_choice',
                    type: "POST",
                    data: data,
                    dataType: "json",
                    success: function (result) {
                    }
                });
            }
            return false;
        });
        
        function ipquiz_finish( quiz )
        {
            var step     = $( '.ipquiz-current-step', quiz ).val();
            var question = $( '.ipquiz-step-'+step, quiz );
            var quizId   = quiz.attr( 'id' ).replace( 'ipquiz-item-', '' );
            var qustId   = question.data( 'id' );
            var parcId   = $( '.ipquiz-st-118-2', quiz ).val();
            
            var data = ipquiz_front_tools.getdataform( question );
            data += '&quiz='+quizId+'&question='+qustId+'&parc='+parcId;
            
            $( '.ipquiz-loader', quiz ).show();
            
            $.ajax({
                url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_frontfinish',
                type: "POST",
                data: data,
                dataType: "json",
                success: function (result) {
                    if ( result.status == '1' ) {
                        $( '.ipquiz-content', quiz ).html( result.html );
                        //Button share
                        if ( $( '.ipquiz-btn-share', quiz ).length > 0 ) {
                            $( '.ipquiz-btn-share', quiz ).ipquiz_btn_share();
                        }
                        //Button invite
                        if ( $( '.ipquiz-btn-invite', quiz ).length > 0 ) {
                            $( '.ipquiz-btn-invite', quiz ).ipquiz_btn_invite();
                        }
                        //Button top score
                        if ( $( '.ipquiz-btn-topscore', quiz ).length > 0 ) {
                            $( '.ipquiz-btn-topscore', quiz ).ipquiz_btn_topscore();
                        }
                        quiz.ipquiz_finish_redirect();
                    }
                    $( '.ipquiz-loader', quiz ).hide();
                }
            });
        }
        
        //Circular bar
        if ( $( '.ipquiz-counter', quiz ).length > 0 )
        {
            $( '.ipquiz-counter .ipquiz-counter-meter', quiz ).ipquiz_circularBar();
            $( '.ipquiz-counter .ipquiz-counter-bg', quiz ).ipquiz_circularBar({animated:false});
        }
    };
    
    $.fn.ipquiz_finish_redirect = function()
    {
        var quiz   = $(this);
        var finish = $( '.ipquiz-finish', quiz );
        if ( finish.length > 0 ) {
            if ( finish.hasClass( 'ipquiz-redirect-on' ))
            {
                var time = 10;
                var url  = window.location.toString();
                var sett = $( '#ipquiz-redirect-sett', finish );
                if ( sett.length > 0 )
                {
                    time = sett.data( 'timeout' );
                    url  = sett.data( 'url' );
                }
                setTimeout(function()
                {
                    window.location.href = url;
                }, time * 1000 );
            }
        }
    };
    
    $.fn.ipquiz_btn_share = function()
    {
        var button = $(this);
        button.click( function()
        {
            FB.ui({
                method: 'stream.publish',
                message: ipquiz_share_msg,
                attachment: {
                    description: ipquiz_share_msg,
                    href: window.location.toString()
                }
            },
            function (response) {
                if (response && response.post_id) {
                    alert('Post was published.');
                } else {
                    alert('Post was not published.');
                }
            });
            return false;
        });
    };
    
    $.fn.ipquiz_btn_invite = function()
    {
        var button = $(this);
        button.click( function()
        {
            FB.ui({
                method: 'apprequests',
                message: ipquiz_invite_msg,
                display: 'iframe',
                redirect_uri: window.location.toString()
            },

            function (response) { 
                if (response && response.post_id) {
                    alert('Post was published.');
                } else {
                    alert('Post was not published.');
                }
            });
            return false;
        });
    };
    
    $.fn.ipquiz_btn_topscore = function()
    {
        var button = $(this);
        button.click( function()
        {
            var quiz   = button.parents( '.ipquiz-item' );
            var quizId = quiz.attr( 'id' ).replace( 'ipquiz-item-', '' );
            var parcId = $( '.ipquiz-st-118-2', quiz ).val();
            
            $( '.ipquiz-loader', quiz ).show();
            $.ajax({
                url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_topscore',
                type: "POST",
                data: 'quizid='+quizId+'&parcid='+parcId,
                dataType: "json",
                success: function (result) {
                    if ( result.status == '1' ) {
                        $( '.ipquiz-content', quiz ).html( result.content );
                    }
                    $( '.ipquiz-loader', quiz ).hide();
                }
            });
            return false;
        });
    };
    
    //Tools
    var ipquiz_front_tools = {
    
        goTo: function( id ){
            var pos = $( id ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        },
        getdataform: function( parent ) 
        {
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';
            
            var data = '';
            
            $( selector, parent ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );
                
                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            if (typeof tinymce !== 'undefined') {
                for ( edId in tinymce.editors ) {
                    
                    if ( edId.length > 1 ) {
                        var value = tinymce.editors[edId].getContent();
                        if ( data != '' ) {
                            data += '&';
                        }
                        data += edId+'='+value;
                    }
                }
            }
            return data;
        }
    };
    
    ipquiz_FB = {
        
        //Do Login
        dologin: function( response, button )
        {
            var quiz   = $( button ).parents( '.ipquiz-item' );
            var quizId = quiz.attr( 'id' ).replace( 'ipquiz-item-', '' );
            var fbid   = response.userID;
            FB.api('/me', function(response) 
            {
                $( '.ipquiz-loader', quiz ).show();
                var fbdata = 'quiz='+quizId+'&fbid='+fbid+'&fbdata=' + $.toJSON( response );
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_fblogin',
                    type: "POST",
                    data: fbdata,
                    dataType: "json",
                    success: function (result) {
                        if ( result.status == '1' ) {
                            $( '.ipquiz-content', quiz ).html( result.content );
                            quiz.ipquiz_init();
                            $( '.ipquiz-st-118-2', quiz ).val( result.parc );
                            $( '.ipquiz-current-step', quiz ).val( result.step );
                        
                            //Button share
                            if ( $( '.ipquiz-btn-share', quiz ).length > 0 ) {
                                $( '.ipquiz-btn-share', quiz ).ipquiz_btn_share();
                            }
                            //Button invite
                            if ( $( '.ipquiz-btn-invite', quiz ).length > 0 ) {
                                $( '.ipquiz-btn-invite', quiz ).ipquiz_btn_invite();
                            }
                            //Button top score
                            if ( $( '.ipquiz-btn-topscore', quiz ).length > 0 ) {
                                $( '.ipquiz-btn-topscore', quiz ).ipquiz_btn_topscore();
                            }
                            quiz.ipquiz_finish_redirect();
                        }
                        $( '.ipquiz-loader', quiz ).hide();
                    }
                });
            });
        },
    };
})(jQuery);