<?php
if ( ! class_exists( 'IPQuiz_Admin' )) {

    /**
     * Class for handling administrator page
     */
    class IPQuiz_Admin
    {
        /**
         * Show content admin home
         *
         * @return void
         */
        public function index()
        {
        ?>
            <div id="ipquiz-admin" class="wrap ipadm-wrap ipquiz-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipquiz-page-title">
                            <h1><?php _e( 'EZ Quiz', 'ipquiz' ); ?></h1>
                        </div>
                        <div class="ipquiz-page-subtitle">
                            <h3><?php _e( 'All Quizes', 'ipquiz' ); ?></h3>
                        </div>
                    </div>
                    
                    <?php
                    if ( isset( $_GET['add'] )) :
                    ?>
                    <div id="ipadm-messages" class="ipadm-success" style="display: block;">
                        <?php _e( 'Successfully add an quiz.', 'ipquiz' ); ?>
                    </div>
                    <?php
                    endif;
                    ?>
                    
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-manage">
                                
                                <div class="ipadm-table">
                                    <?php
                                    require_once( plugin_dir_path( __FILE__ ) . "admin-table.php" );
                                    $paginArgs = array(
                                        "per_page" => 20 
                                    );
                                    $table = new IPQuiz_AdminTable();
                                    $table->prepare_items();
                                    $table->display();
                                    ?>
                                </div>
                                
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
                
                <div id="ipquiz-modal-message-overlay" style="display:none;">
                    <div id="ipquiz-modal-message"></div>
                </div>
                <div id="ipquiz-modal-confirm-overlay" style="display:none;">
                    <div id="ipquiz-modal-confirm">
                        <div class="ipquiz-modal-title">
                            <h3><?php _e( 'Delete Confirmation', 'ipquiz' ); ?></h3>
                        </div>
                        <div class="ipquiz-modal-content">
                            <p><?php _e( 'Are you sure doing this action?', 'ipquiz' ); ?></p>
                            <div class="ipadm-buttons">
                                <a href="#" class="ipadm-btn ipadm-btn-danger ipquiz-accept"><?php _e( 'Yes', 'ipquiz' ); ?></a>
                                <a href="#" class="ipadm-btn ipadm-btn-default ipquiz-deny"><?php _e( 'No', 'ipquiz' ); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        <?php
        }
        
        /**
         * Show content admin add quiz
         *
         * @return void
         */
        public function add()
        {
            $this->manage();
        }
        
        /**
         * Show content admin edit quiz
         *
         * @return void
         */
        public function edit()
        {
            if ( empty( $_GET['id'] )) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipquiz') );
            }
            $id = absint( $_GET['id'] );
            if ( ! $quiz = get_post( $id ) ) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipquiz') );
            }
            $this->manage( $quiz );
        }
        
        /**
         * Show content admin manage quiz
         *
         * @return void
         */
        public function manage( $quiz = false )
        {
            wp_enqueue_script('wp-color-picker');
            wp_enqueue_style('wp-color-picker');
            
            if ( $quiz ) 
            {
                $quizId    = $quiz->ID;
                $pageId    = 'ipquiz-item-edit';
                $pageTitle = __( 'Edit Quiz', 'ipquiz' );
                $submit    = __( 'Save Change', 'ipquiz' );
                $submitId  = 'ipquiz-edit-quiz';
                
            } else 
            {
                $pageId    = 'ipquiz-item-add';
                $pageTitle = __( 'Add Quiz', 'ipquiz' );
                $submit    = __( 'Add Quiz', 'ipquiz' );
                $submitId  = 'ipquiz-add-quiz';
                $quizId    = 0;
            }
            $setting = new IPQuiz_Setting( $quizId, '__ipquiz-item-setting' );
        ?>
            <div id="ipquiz-admin" class="wrap ipadm-wrap ipquiz-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipquiz-page-title">
                            <h1><?php _e( 'EZ Quiz', 'ipquiz' ); ?></h1>
                        </div>
                        <div class="ipquiz-page-subtitle">
                            <h3><?php echo $pageTitle; ?></h3>
                        </div>
                    </div>
                    <div class="ipadm-body">
                        <div class="ipadm-main">
                            <div class="ipadm-manage">

<div id="ipadm-messages"></div>
<form enctype="multipart/form-data" action="#ipquiz-admin" method="post">

    <input type="hidden" name="quizid" id="value-quizid" value="<?php echo $quizId; ?>" />
    
    <div class="ipadm-2column ipadm-clear">
        <div class="ipquiz-form-main">
            
            <?php
            //Title
            ?>
            <div id="ipquiz-field-title" class="ipadm-field-row">
                <?php
                $title = '';
                if ( $quiz ) {
                    $title = $quiz->post_title;
                }
                ?>
                <input class="ipadm-input ipadm-input-large ipadm-input-full" type="text" id="input-title" value="<?php echo $title; ?>" size="30" name="title" placeholder="<?php _e( 'Enter title here', 'ipquiz' ); ?>">
            </div>
            
            <?php
            //App Url
            if ( $quiz ) :
            ?>
            <div id="ipquiz-appurl" class="ipadm-row">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'App Facebook URL', 'ipquiz' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                            <div id="field-appurl" class="ipadm-field-row ipadm-field-box">
                                <div class="ipadm-field">
                                    <p><?php _e( 'This url is used when you want to put into the quiz facebook page. Use this url in your Facebook app settings.', 'ipquiz' ); ?>
                                    <div>
                                        <?php
                                        $home = get_home_url() . '/ipquiz/fb';
                                        $args = array( 'ipquizid' => $quiz->ID );
                                        $url  = add_query_arg( $args, $home );
                                        ?>
                                        <input class="ipadm-input ipadm-input-full" readonly type="text" id="input-appurl" value="<?php echo $url; ?>" size="30" name="appurl">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php
            endif;
            ?>
            
            <?php
            //Content
            ?>
            <div id="ipquiz-content" class="ipadm-row">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Content', 'ipquiz' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                        
                            <div id="ipquiz-field-description" class="ipadm-field-row ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-description"><?php _e( 'Description', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $tinymceInit = array(
                                        'editor_height' => 60
                                    );
                                    $content = '';
                                    if ( $quiz ) {
                                        $content = stripslashes( $quiz->post_content );
                                    }
                                    wp_editor( $content, 'content-desc', array( 
                                        'editor_height' => 60,
                                        'tinymce'       => $tinymceInit
                                    )); 
                                    ?>
                                </div>
                            </div>
                            
                            <div id="ipquiz-field-image" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-quiz-image"><?php _e( 'Image', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <div class="ipadm-input-wrap ipadm-clear ipquiz-input-upload">
                                        <div class="ipquiz-image-preview">
                                            <?php
                                            $setImg  = false;
                                            if ( $setting ) {
                                                if ( $attachId = $setting->getSetting( 'image' ) ) {
                                                    $setImg = true;
                                                    $data   = wp_get_attachment_image_src( $attachId, 'thumbnail' );
                                                }
                                            }
                                            if ( $setImg ) {
                                                echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                                $reset_dsp = '';
                                            } else {
                                                echo '<div class="none">' . __( 'No image', 'ipquiz' ) . '</div>';
                                                $reset_dsp = ' style="display:none;"';
                                            }
                                            ?>
                                        </div>
                                        <div class="ipquiz-image-upload">
                                            <input class="ipquiz-input-upload" type="file" name="photo" />
                                            <div class="ipquiz-btn-wrap">
                                                <input class="button ipquiz-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipquiz' ); ?>" />
                                                <a class="ipquiz-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                                    <?php _e( 'Clear Photo', 'ipquiz' ); ?>
                                                </a>
                                            </div>
                                            <input type="hidden" name="upload_type" class="ipquiz-upload-type" value="ipquiz_image" />
                                            <input type="hidden" name="content_image" class="ipquiz-photo-id" value="<?php echo $attachId; ?>" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        
                            <div id="ipquiz-field-login-info" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-login-info"><?php _e( 'Login Info', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $info = stripslashes( $setting->getSetting( 'login_info', '' ));
                                    ?>
                                    <textarea class="ipadm-input ipadm-input-full" id="input-login-info" name="login_info"><?php echo $info; ?></textarea>
                                    <p class="ipadm-input-info"><em><?php _e( 'Texts which inform the user about how to login via facebook to participating quiz.', 'ipquiz' ); ?></em></p>
                                </div>
                            </div>
                        
                            <div id="ipquiz-field-point-info" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-point-info"><?php _e( 'Point Info', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $info = stripslashes( $setting->getSetting( 'point_info', '' ));
                                    ?>
                                    <textarea class="ipadm-input ipadm-input-full" id="input-point-info" name="point_info"><?php echo $info; ?></textarea>
                                    <p class="ipadm-input-info"><em><?php _e( 'Texts which inform the user about the number of points obtained and displayed after the user complete all the questions in the quiz. At this input you can use the <strong>%username%</strong> will be replaced with a user name, <strong>%point%</strong> with the user points, <strong>%count%</strong> with the number of questions, <strong>%correct%</strong> with the number of correct answers and <strong>%wrong%</strong> with the number of wrong answers.', 'ipquiz' ); ?></em></p>
                                </div>
                            </div>
                        
                            <div id="ipquiz-field-congrats-info" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-congrats-info"><?php _e( 'Congrats Info', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $info = stripslashes( $setting->getSetting( 'congrats_info', '' ));
                                    ?>
                                    <textarea class="ipadm-input ipadm-input-full" id="input-congrats-info" name="congrats_info"><?php echo $info; ?></textarea>
                                    <p class="ipadm-input-info"><em><?php _e( 'A congratulatory text to the user because it has successfully completed a quiz.', 'ipquiz' ); ?></em></p>
                                </div>
                            </div>
                        
                            <div id="ipquiz-field-timeout-info" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-timeout-info"><?php _e( 'Timeout Info', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $info = stripslashes( $setting->getSetting( 'timeout_info', '' ));
                                    ?>
                                    <textarea class="ipadm-input ipadm-input-full" id="input-timeout-info" name="timeout_info"><?php echo $info; ?></textarea>
                                    <p class="ipadm-input-info"><em><?php _e( 'Text that is displayed when the timelimit of a question has running out.', 'ipquiz' ); ?></em></p>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
            //Questions
            ?>
            <div id="ipquiz-questions" class="ipadm-row">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Questions', 'ipquiz' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                            <div id="ipquiz-question-list">
                                <script type="text/javascript">
                                    var ipquiz_qtn_temp = {
                                        <?php
                                        $model = new IPQuiz_Model();
                                        $questions = array();
                                        if ( $quiz ) {
                                            $questions = $model->getQuestions( $quiz->ID );
                                        }
                                        if ( ! empty( $questions ) ) 
                                        {
                                            $items = array();
                                            $order = 0;
                                            foreach( $questions as $qtn ) 
                                            {
                                                $answers = $model->getAnswers( $qtn->qtn_id );
                                                $imgsrc  = '';
                                                if ( ! empty( $qtn->qtn_image )) {
                                                    $imgId   = $qtn->qtn_image;
                                                    $imgdata = wp_prepare_attachment_for_js( $imgId );
                                                    if ( ! empty( $imgdata['sizes']['medium']['url'] ) ) {
                                                        $imgsrc = $imgdata['sizes']['medium']['url'];
                                                    }
                                                    elseif ( ! empty( $imgdata['sizes']['full']['url'] ) ) {
                                                        $imgsrc = $imgdata['sizes']['full']['url'];
                                                    }
                                                }
                                                $item  = $order . ': {';
                                                $item .= 'id: "' . $qtn->qtn_id . '",';
                                                $item .= 'question: "' . stripslashes( $qtn->qtn_content ) . '",';
                                                $item .= 'type: "' . stripslashes( $qtn->qtn_type ) . '",';
                                                $item .= 'imageid: "' . $qtn->qtn_image . '",';
                                                $item .= 'imagesrc: "' . $imgsrc . '",';
                                                $item .= 'answer: [';
                                                if ( ! empty( $answers )) {
                                                    $ansord   = 0;
                                                    $ansItems = array();
                                                    foreach( $answers as $ans ) 
                                                    {
                                                        $ansit  = '{';
                                                        $ansit .= 'id: "' . $ans->ans_id . '",';
                                                        $ansit .= 'answer: "' . $ans->ans_content . '",';
                                                        $ansit .= 'status: "' . $ans->ans_status . '"';
                                                        $ansit .= '}';
                                                        $ansItems[] = $ansit;
                                                        $ansord++;
                                                    }
                                                    $item .= implode( ',', $ansItems );
                                                }
                                                $item .= ']';
                                                $item .= '}';
                                                $items[] = $item;
                                                $order++;
                                            }
                                            echo implode( ',', $items );
                                        }
                                        ?>
                                    };
                                </script>
                                <?php
                                
                                ?>
                                <?php
                                if ( ! empty( $questions ) ) :
                                ?>
                                <div id="ipquiz-qtnlist-main">
                                    <?php
                                    $order = 0;
                                    foreach( $questions as $qtn ) :
                                    ?>
                                    <div id="ipquiz-qtn-item-<?php echo $order; ?>" data-qtnid="<?php echo $qtn->qtn_id; ?>" class="ipquiz-qtn-item ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                        <div class="ipquiz-col ipquiz-order">
                                            <a href="#"><i class="fa fa-arrows"></i></a>
                                        </div>
                                        <div class="ipquiz-col ipquiz-qtn-title"><?php echo $qtn->qtn_content; ?></div>
                                        <div class="ipquiz-col ipquiz-actions">
                                            <a data-id="<?php echo $order; ?>" class="ipquiz-qtn-edit" href="#"><i class="fa fa-pencil"></i></a>
                                            <a data-id="<?php echo $order; ?>" class="ipquiz-qtn-delete" href="#"><i class="fa fa-times"></i></a>
                                        </div>
                                    </div>
                                    <?php
                                        $order++;
                                    endforeach;
                                    ?>
                                </div>
                                <div id="ipquiz-qtnlist-empty" style="display:none;">
                                    <p><em><?php _e( 'The list of questions is not available.', 'ipquiz' ); ?></em></p>
                                </div>
                                <?php 
                                else :
                                ?>
                                <div id="ipquiz-qtnlist-main" style="display:none;">
                                </div>
                                <div id="ipquiz-qtnlist-empty">
                                    <p><em><?php _e( 'The list of questions is not available.', 'ipquiz' ); ?></em></p>
                                </div>
                                <?php 
                                endif;
                                ?>
                                <div class="ipquiz-btn-add-list">
                                    <a id="ipquiz-add-question" class="button" href="#"><?php _e( 'Add Question', 'ipquiz' ); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
        <div class="ipquiz-form-sidebar">
            <div class="ipadm-row" id="ipquiz-publish">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Publish', 'ipquiz' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box-small ipadm-clear">
                                <?php
                                $status = 'publish';
                                if ( $quiz ) {
                                    $status = $quiz->post_status;
                                }
                                $statuses = array(
                                    'publish' => __( 'Publish', 'ipquiz' ),
                                    'draft'   => __( 'Draft', 'ipquiz' ),
                                );
                                ?>
                                <label for="ipquiz-input-status"><?php _e( 'Status', 'ipquiz' ); ?></label> :
                                <strong id="ipquiz-status-value"><?php echo $statuses[$status]; ?></strong>
                                <a id="ipquiz-edit-status" href="#" title="<?php _e( 'Edit', 'ipquiz' ); ?>" class="ipadm-btn ipadm-btn-mini ipadm-btn-default">
                                    <?php _e( 'Edit', 'ipquiz' ); ?>
                                </a>
                                <div id="ipquiz-status-values" class="ipadm-hide">
                                    <p><strong><?php _e( 'Select Status', 'ipquiz' ); ?></strong>
                                    <select id-="ipquiz-input-status" name="status">
                                    <?php
                                    foreach( $statuses as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $status ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label.'</option>';
                                    }
                                    ?>
                                    </select>
                                    </p>
                                </div>
                            </div>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box-small ipadm-clear">
                                <label for="ipquiz-input-status"><?php _e( 'Publish', 'ipquiz' ); ?></label> :
                                <strong id="ipquiz-status-value"><?php _e( 'Immediately', 'ipquiz' ); ?></strong>
                            </div>
                            <div class="ipadm-field-row ipadm-field-stripe">
                                <div class="ipadm-btn-wrap ipadm-clear">
                                    <span class="ipadm-btn-left">
                                        <input type="submit" value="<?php echo $submit; ?>" id="<?php echo $submitId; ?>" name="do_save_change" class="ipadm-btn ipadm-btn-primary">
                                    </span>
                                    <?php
                                    if ( $quiz ) :
                                        $stUrl = 'admin.php?page=ipquiz&action=stat&id=' . $quiz->ID;
                                    ?>
                                    <span class="ipadm-btn-right">
                                        <a href="<?php echo $stUrl; ?>" class="ipadm-btn ipadm-btn-success"><?php _e( 'Statistic', 'ipquiz' ); ?></a>
                                    </span>
                                    <?php
                                    endif;
                                    ?>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            
            <div id="ipquiz-settings" class="ipadm-row">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Settings', 'ipquiz' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                        
                            <?php
                            //Timelimit
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-clock-o"></i>
                                        <label for="input-timelimit"><?php _e( 'Timelimit', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                    <input type="text" class="ipadm-input ipadm-input-small" id="input-timelimit" name="timelimit" value="<?php echo $setting->getSetting( 'timelimit', '' ); ?>" placeholder="<?php _e( 'in second', 'ipquiz' ); ?>" />
                                    </div>
                                </div>
                            </div>
                        
                            <?php
                            //Correct Point
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-check-circle"></i>
                                        <label for="input-correct-point"><?php _e( 'Correct Point', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                    <input type="text" class="ipadm-input ipadm-input-small" id="input-correct-point" name="correct_point" value="<?php echo $setting->getSetting( 'correct_point', '' ); ?>" />
                                    </div>
                                </div>
                                <div class="ipadm-field-info">
                                    <?php _e( 'Points added in the points the user when the user answers the question correctly.', 'ipquiz' ); ?>
                                </div>
                            </div>
                        
                            <?php
                            //Wrong Point
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-ban"></i>
                                        <label for="input-wrong-point"><?php _e( 'Wrong Point', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                    <input type="text" class="ipadm-input ipadm-input-small" id="input-wrong-point" name="wrong_point" value="<?php echo $setting->getSetting( 'wrong_point', '' ); ?>" />
                                    </div>
                                </div>
                                <div class="ipadm-field-info">
                                    <?php _e( 'Points will be deducted at the user when the user points the wrong answer to a question.', 'ipquiz' ); ?>
                                </div>
                            </div>
                        
                            <?php
                            //Design
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-desktop"></i>
                                        <label for="input-design"><?php _e( 'Design', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <select name="design" id="input-design">
                                            <?php
                                            $current = $setting->getSetting( 'design', '' );
                                            $designs = array(
                                                'clean'     => __( 'Design 1', 'ipquiz' ),
                                                'flat'      => __( 'Design 2', 'ipquiz' ),
                                                'pattern'   => __( 'Design 3', 'ipquiz' )
                                            );
                                            foreach( $designs as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        
                            <?php
                            //Style
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-tint"></i>
                                        <label for="input-style"><?php _e( 'Style', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <select name="style" id="input-style">
                                            <?php
                                            $current = $setting->getSetting( 'style', '' );
                                            $styles  = array(
                                                'grey'      => __( 'Grey', 'ipquiz' ),
                                                'red'       => __( 'Red', 'ipquiz' ),
                                                'blue'      => __( 'Blue', 'ipquiz' ),
                                                'green'     => __( 'Green', 'ipquiz' ),
                                                'orange'    => __( 'Orange', 'ipquiz' ),
                                            );
                                            foreach( $styles as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        
                            <?php
                            $audios  = array(
                                1 => __( 'Audio 1' ),
                                2 => __( 'Audio 2' ),
                                3 => __( 'Audio 3' ),
                                4 => __( 'Audio 4' ),
                                5 => __( 'Audio 5' )
                            );
                            
                            //Correct Sound
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-music"></i>
                                        <label for="input-correct-sound"><?php _e( 'Next Question Sound', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <select name="correct_audio" id="input-correct-audio">
                                            <option value="0"><?php _e( 'No Audio', 'ipquiz' ); ?></option>
                                            <?php
                                            $current = $setting->getSetting( 'correct_audio', '' );
                                            foreach( $audios as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="ipadm-field-info">
                                    <?php _e( 'The voice that is play when the user go to next question.', 'ipquiz' ); ?>
                                </div>
                            </div>
                        
                            <?php
                            //Wrong Sound
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-music"></i>
                                        <label for="input-wrong-sound"><?php _e( 'Timeout Sound', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <select name="wrong_audio" id="input-wrong-audio">
                                            <option value="0"><?php _e( 'No Audio', 'ipquiz' ); ?></option>
                                            <?php
                                            $current = $setting->getSetting( 'wrong_audio', '' );
                                            foreach( $audios as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="ipadm-field-info">
                                    <?php _e( 'The voice that is run when time limit is running out.', 'ipquiz' ); ?>
                                </div>
                            </div>
                        
                            <?php
                            //Effect
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-magic"></i>
                                        <label for="input-effect"><?php _e( 'Effect', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <select name="effect" id="input-effect">
                                            <option value="0"><?php _e( 'No Effect', 'ipquiz' ); ?></option>
                                            <?php
                                            $current = $setting->getSetting( 'effect', '' );
                                            $effects = array(
                                                'linear'    => __( 'Linear', 'ipquiz' ),
                                                'bounce'    => __( 'Bounce', 'ipquiz' ),
                                                'back'      => __( 'Back', 'ipquiz' ),
                                                'elastic'   => __( 'Elastic', 'ipquiz' ),
                                                'expo'      => __( 'Expo', 'ipquiz' )
                                            );
                                            foreach( $effects as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="ipadm-field-info">
                                    <?php _e( 'Effect that are run when changing from one question to the next question.', 'ipquiz' ); ?>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            
            <div id="ipquiz-finish-settings" class="ipadm-row">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Finish Settings', 'ipquiz' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                            
                            <?php
                            //Button share
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-share"></i>
                                        <label for="input-button-share"><?php _e( 'Button Share', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                            <?php
                                            $val = $setting->getSetting( 'button_share', 'true' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' button-primary active';
                                            } else {
                                                $clon  = ' button-primary active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipquiz' ); ?></button>
                                            <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipquiz' ); ?></button>
                                            <input type="hidden" class="ipadm-av-value" name="button_share" value="<?php echo $val; ?>" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <?php
                            //Button Invite
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-users"></i>
                                        <label for="input-button-invite"><?php _e( 'Button Invite', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                            <?php
                                            $val = $setting->getSetting( 'button_invite', 'true' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' button-primary active';
                                            } else {
                                                $clon  = ' button-primary active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipquiz' ); ?></button>
                                            <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipquiz' ); ?></button>
                                            <input type="hidden" class="ipadm-av-value" name="button_invite" value="<?php echo $val; ?>" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <?php
                            //Button topscore
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-star"></i>
                                        <label for="input-button-topscore"><?php _e( 'Button Top Score', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                            <?php
                                            $val = $setting->getSetting( 'button_topscore', 'true' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' button-primary active';
                                            } else {
                                                $clon  = ' button-primary active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipquiz' ); ?></button>
                                            <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipquiz' ); ?></button>
                                            <input type="hidden" class="ipadm-av-value" name="button_topscore" value="<?php echo $val; ?>" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <?php
                            //Redirect
                            ?>
                            <div id="ipquiz-field-redirect" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-toggle">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-rocket"></i>
                                        <label for="input-redirect"><?php _e( 'Redirect', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                            <?php
                                            $val = $setting->getSetting( 'redirect_on', 'false' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' button-primary active';
                                            } else {
                                                $clon  = ' button-primary active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipquiz' ); ?></button>
                                            <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipquiz' ); ?></button>
                                            <input type="hidden" class="ipadm-av-value" name="redirect_on" value="<?php echo $val; ?>" />
                                        </div>
                                    </div>
                                </div>
                                <?php
                                if ( $val == 'true' ) {
                                    $display = '';
                                } else {
                                    $display = ' style="display: none;"';
                                }
                                ?>
                                <div class="ipadm-toggle-option"<?php echo $display; ?>>
                                    <div class="ipadm-input-wrap">
                                        <label for="input-redirect-url"><?php _e( 'Redirect URL', 'ipquiz' ); ?></label>
                                        <input type="text" class="ipadm-input" id="input-redirect-url" name="redirect_url" value="<?php echo $setting->getSetting( 'redirect_url', '' ); ?>" />
                                    </div>
                                    <div class="ipadm-input-wrap">
                                        <label for="input-redirect-timeout"><?php _e( 'Timeout', 'ipquiz' ); ?></label>
                                        <input type="text" class="ipadm-input ipadm-input-small" id="input-redirect-timeout" name="redirect_timeout" value="<?php echo $setting->getSetting( 'redirect_timeout', '' ); ?>" placeholder="<?php _e( 'in second', 'ipquiz' ); ?>" />
                                    </div>
                                </div>
                            </div>
                        
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
    
</form>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

<div id="ipquiz-question-popup" class="ipquiz-scpup-root ipquiz-scpup-full" style="display: none;">
    <div class="ipquiz-scpup-inner">
        <div class="ipquiz-scpup-main">
            <div class="ipquiz-scpup-title">
                <h3 id="ipquiz-qtn-add-title"><?php _e( 'Add Question', 'ipquiz' ); ?></h3>
                <h3 id="ipquiz-qtn-edit-title" style="display:none;"><?php _e( 'Edit Question', 'ipquiz' ); ?></h3>
                <div class="ipquiz-scpup-close">
                    <a class="ipquiz-scpup-close-link" href="#"><i class="fa fa-times"></i></a>
                </div>
            </div>
            <div class="ipquiz-scpup-content">
                <form action="" method="post">
                    <div class="ipadm-2column ipadm-clear">
                        <div class="ipquiz-form-main">
                        
                            <input type="hidden" name="qtnid" id="value-qtnid" value="0" />
                            <div id="ipquiz-basis-data" class="ipadm-row">
                                <div class="ipadm-box">
                                    <div class="ipadm-box-header">
                                        <h3><?php _e( 'Basis Data', 'ipquiz' ); ?></h3>
                                    </div>
                                    <div class="ipadm-box-body">
                                        <div class="ipadm-box-main">
                                        
                                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                                <div class="ipadm-label">
                                                    <label for="input-question"><?php _e( 'Question', 'ipquiz' ); ?></label>
                                                </div>
                                                <div class="ipadm-field">
                                                    <div class="ipadm-input-wrap">
                                                        <?php
                                                        $tinymceInit = array(
                                                            'editor_height' => 60
                                                        );
                                                        //$tinymceInit['handle_event_callback'] = 'ipquiz_editor_callback';
                                                        $content = stripslashes( $setting->getSetting( 'question', '' ));
                                                        wp_editor( $content, 'question', array( 
                                                            'editor_height' => 60,
                                                            'tinymce'       => $tinymceInit
                                                        )); 
                                                        ?>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                                <div class="ipadm-label">
                                                    <label for="input-type-question"><?php _e( 'Type Question', 'ipquiz' ); ?></label>
                                                </div>
                                                <div class="ipadm-field">
                                                    <div class="ipadm-input-wrap">
                                                        <select name="type_question" id="input-type-question">
                                                            <?php
                                                            $type  = $setting->getSetting( 'type_question', 1 );
                                                            $types = array(
                                                                'single'    => __( 'Single possible correct answer', 'ipquiz' ),
                                                                'multiple'  => __( 'Multiple possible correct answers', 'ipquiz' ),
                                                                'all'       => __( 'All correct answers', 'ipquiz' ),
                                                                'no'        => __( 'No correct answers', 'ipquiz' )
                                                            );
                                                            foreach( $types as $key => $label ) {
                                                                $sltd = '';
                                                                if ( $type == $key ) {
                                                                    $sltd = ' selected="selected"';
                                                                }
                                                                echo '<option' . $sltd . ' value="' . $key . '">' . $label . '</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                                <div class="ipadm-label">
                                                    <label for="input-question-image"><?php _e( 'Image', 'ipquiz' ); ?></label>
                                                </div>
                                                <div class="ipadm-field">
                                                    <div class="ipadm-input-wrap ipadm-clear ipquiz-input-upload">
                                                        <div class="ipquiz-image-preview">
                                                            <?php
                                                            $setImg  = false;
                                                            if ( $setting ) {
                                                                if ( $attachId = $setting->getSetting( 'question_image' ) ) {
                                                                    $setImg = true;
                                                                    $data   = wp_get_attachment_image_src( $attachId, 'thumbnail' );
                                                                }
                                                            }
                                                            if ( $setImg ) {
                                                                echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                                                $reset_dsp = '';
                                                            } else {
                                                                echo '<div class="none">' . __( 'No image', 'ipquiz' ) . '</div>';
                                                                $reset_dsp = ' style="display:none;"';
                                                            }
                                                            ?>
                                                        </div>
                                                        <div class="ipquiz-image-upload">
                                                            <input class="ipquiz-input-upload" type="file" name="photo" />
                                                            <div class="ipquiz-btn-wrap">
                                                                <input class="button ipquiz-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipquiz' ); ?>" />
                                                                <a class="ipquiz-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                                                    <?php _e( 'Clear Photo', 'ipquiz' ); ?>
                                                                </a>
                                                            </div>
                                                            <input type="hidden" name="upload_type" class="ipquiz-upload-type" value="ipquiz_question_image" />
                                                            <input type="hidden" name="content_image" class="ipquiz-photo-id" value="<?php echo $attachId; ?>" />
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="ipquiz-form-actions">
                                <input type="submit" name="do_add_question" id="ipquiz-btn-add-qtn" class="ipadm-btn ipadm-btn-primary ipadm-btn-large" value="<?php _e( 'Add Question', 'ipquiz' ); ?>">
                                <input type="submit" name="do_edit_question" id="ipquiz-btn-edit-qtn" class="ipadm-btn ipadm-btn-primary ipadm-btn-large" value="<?php _e( 'Edit Question', 'ipquiz' ); ?>" style="display: none;">
                            </div>
                    
                        </div>
                    
                        <div class="ipquiz-form-sidebar">
                            <div id="ipquiz-answers" class="ipadm-row">
                                <div class="ipadm-box">
                                    <div class="ipadm-box-header">
                                        <h3><?php _e( 'Answers', 'ipquiz' ); ?></h3>
                                    </div>
                                    <div class="ipadm-box-body">
                                        <div class="ipadm-box-main">
                                            <div class="ipquiz-answer-list">
                                            
                                                <div class="ipquiz-answer-item ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                                    <div class="ipquiz-col ipquiz-order">
                                                        <a href="#"><i class="fa fa-arrows"></i></a>
                                                    </div>
                                                    <div class="ipquiz-col ipquiz-ans-input">
                                                        <div>
                                                            <input type="text" class="ipadm-input ipquiz-input-answer" name="answer[]" value="" />
                                                        </div>
                                                        <div>
                                                            <select class="ipquiz-input-ans-status" name="status[]">
                                                                <option value="1"><?php _e( 'Correct Answer', 'ipquiz' ); ?></option>
                                                                <option value="2"><?php _e( 'Wrong Answer', 'ipquiz' ); ?></option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="ipquiz-col ipquiz-actions">
                                                        <a class="ipquiz-ans-delete" href="#"><i class="fa fa-times"></i></a>
                                                    </div>
                                                </div>
                            
                                            </div>
                                            <div class="ipquiz-btn-add-list">
                                                <a id="ipquiz-add-answer" class="button" href="#"><?php _e( 'Add Answer', 'ipquiz' ); ?></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    
                        </div>
                    </div>
                    
                </form>
            </div>
        </div>
    </div>
</div>
        <?php
        }
        
        /**
         * Show content admin statistic quiz
         *
         * @return void
         */
        public function promo()
        {
        ?>
            <div id="ipquiz-admin-promo" class="wrap ipadm-wrap ipquiz-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipquiz-page-title">
                            <h1><?php _e( 'EZ Quiz', 'ipquiz' ); ?></h1>
                        </div>
                        <div class="ipquiz-page-subtitle">
                            <h3><?php _e( 'All Quiz Promo', 'ipquiz' ); ?></h3>
                        </div>
                        <div class="ipquiz-btn-add">
                            <a href="<?php echo admin_url() . 'admin.php?page=ipquiz-promo&action=add'; ?>" class="ipadm-btn ipadm-btn-primary"><?php _e( 'Add Quiz Promo', 'ipquiz' ); ?></a>
                        </div>
                    </div>
                    
                    <?php
                    if ( isset( $_GET['add'] )) :
                    ?>
                    <div id="ipadm-messages" class="ipadm-success" style="display: block;">
                        <?php _e( 'Successfully add an quiz promo.', 'ipquiz' ); ?>
                    </div>
                    <?php
                    endif;
                    ?>
                    
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-manage">
                                
                                <div class="ipadm-table">
                                    <?php
                                    require_once( plugin_dir_path( __FILE__ ) . "admin-table-promo.php" );
                                    $paginArgs = array(
                                        "per_page" => 20 
                                    );
                                    $table = new IPQuiz_AdminTablePromo();
                                    $table->prepare_items();
                                    $table->display();
                                    ?>
                                </div>
                                
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
                
                <div id="ipquiz-modal-message-overlay" style="display:none;">
                    <div id="ipquiz-modal-message"></div>
                </div>
                <div id="ipquiz-modal-confirm-overlay" style="display:none;">
                    <div id="ipquiz-modal-confirm">
                        <div class="ipquiz-modal-title">
                            <h3><?php _e( 'Delete Confirmation', 'ipquiz' ); ?></h3>
                        </div>
                        <div class="ipquiz-modal-content">
                            <p><?php _e( 'Are you sure doing this action?', 'ipquiz' ); ?></p>
                            <div class="ipadm-buttons">
                                <a href="#" class="ipadm-btn ipadm-btn-danger ipquiz-accept"><?php _e( 'Yes', 'ipquiz' ); ?></a>
                                <a href="#" class="ipadm-btn ipadm-btn-default ipquiz-deny"><?php _e( 'No', 'ipquiz' ); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        <?php
        }
        
        /**
         * Show content admin add quiz promo
         *
         * @return void
         */
        public function promoAdd()
        {
            $this->promoManage();
        }
        
        /**
         * Show content admin edit quiz promo
         *
         * @return void
         */
        public function promoEdit()
        {
            if ( empty( $_GET['id'] )) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipquiz') );
            }
            $id = absint( $_GET['id'] );
            if ( ! $promo = get_post( $id ) ) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipquiz') );
            }
            $this->promoManage( $promo );
        }
        
        /**
         * Show content admin manage quiz promo
         *
         * @param object $promo
         * @return void
         */
        public function promoManage( $promo = false )
        {
            wp_enqueue_script('wp-color-picker');
            wp_enqueue_style('wp-color-picker');
            
            if ( $promo ) 
            {
                $promoId   = $promo->ID;
                $pageId    = 'ipquiz-item-promo-edit';
                $pageTitle = __( 'Edit Quiz Promo', 'ipquiz' );
                $submit    = __( 'Save Change', 'ipquiz' );
                $submitId  = 'ipquiz-edit-quiz-promo';
                
            } else 
            {
                $pageId    = 'ipquiz-item-promo-add';
                $pageTitle = __( 'Add Quiz Promo', 'ipquiz' );
                $submit    = __( 'Add Quiz Promo', 'ipquiz' );
                $submitId  = 'ipquiz-add-quiz-promo';
                $promoId   = 0;
            }
            $setting = new IPQuiz_Setting( $promoId, '__ipquiz-item-promo-setting' );
        ?>
            <div id="ipquiz-admin-promo" class="wrap ipadm-wrap ipquiz-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipquiz-page-title">
                            <h1><?php _e( 'EZ Quiz', 'ipquiz' ); ?></h1>
                        </div>
                        <div class="ipquiz-page-subtitle">
                            <h3><?php echo $pageTitle; ?></h3>
                        </div>
                    </div>
                    <div class="ipadm-body">
                        <div class="ipadm-main">
                            <div class="ipadm-manage">

<div id="ipadm-messages"></div>
<form enctype="multipart/form-data" action="#ipquiz-admin" method="post">

    <input type="hidden" name="promoid" id="value-promoid" value="<?php echo $promoId; ?>" />
    
    <div class="ipadm-2column ipadm-clear">
        <div class="ipquiz-form-main">
            
            <?php
            //Title
            ?>
            <div id="ipquiz-field-title" class="ipadm-field-row">
                <?php
                $title = '';
                if ( $promo ) {
                    $title = $promo->post_title;
                }
                ?>
                <input class="ipadm-input ipadm-input-large ipadm-input-full" type="text" id="input-title" value="<?php echo $title; ?>" size="30" name="title" placeholder="<?php _e( 'Enter title here', 'ipquiz' ); ?>">
            </div>
            
            <?php
            //Content
            ?>
            <div id="ipquiz-promo-content" class="ipadm-row">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Content', 'ipquiz' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                        
                            <div id="field-quiz" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-quiz"><?php _e( 'Quiz URL', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $url = $setting->getSetting( 'quiz_url', '' );
                                    ?>
                                    <input class="ipadm-input ipadm-input-full" type="text" id="input-quiz_url" value="<?php echo $url; ?>" size="30" name="quiz_url">
                                </div>
                            </div>
                        
                            <div id="field-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-promo-title"><?php _e( 'Promo Title', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $title = stripslashes( $setting->getSetting( 'title', '' ));
                                    ?>
                                    <input class="ipadm-input ipadm-input-full" type="text" id="input-promo-title" value="<?php echo $title; ?>" size="30" name="promo_title">
                                </div>
                            </div>
                        
                            <div id="field-description" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-description"><?php _e( 'Description', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $tinymceInit = array(
                                        'editor_height' => 60
                                    );
                                    $content = stripslashes( $setting->getSetting( 'description', '' ));
                                    wp_editor( $content, 'content-desc', array( 
                                        'editor_height' => 60,
                                        'tinymce'       => $tinymceInit
                                    )); 
                                    ?>
                                </div>
                            </div>
                            
                            <div id="field-quiz-image" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-quiz-image"><?php _e( 'Image', 'ipquiz' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <div class="ipadm-input-wrap ipadm-clear ipquiz-input-upload">
                                        <div class="ipquiz-image-preview">
                                            <?php
                                            $setImg  = false;
                                            if ( $setting ) {
                                                if ( $attachId = $setting->getSetting( 'image' ) ) {
                                                    $setImg = true;
                                                    $data   = wp_get_attachment_image_src( $attachId, 'thumbnail' );
                                                }
                                            }
                                            if ( $setImg ) {
                                                echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                                $reset_dsp = '';
                                            } else {
                                                echo '<div class="none">' . __( 'No image', 'ipquiz' ) . '</div>';
                                                $reset_dsp = ' style="display:none;"';
                                            }
                                            ?>
                                        </div>
                                        <div class="ipquiz-image-upload">
                                            <input class="ipquiz-input-upload" type="file" name="photo" />
                                            <div class="ipquiz-btn-wrap">
                                                <input class="button ipquiz-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipquiz' ); ?>" />
                                                <a class="ipquiz-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                                    <?php _e( 'Clear Photo', 'ipquiz' ); ?>
                                                </a>
                                            </div>
                                            <input type="hidden" name="upload_type" class="ipquiz-upload-type" value="ipquiz_promo_image" />
                                            <input type="hidden" name="image" class="ipquiz-photo-id" value="<?php echo $attachId; ?>" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
        <div class="ipquiz-form-sidebar">
            <div class="ipadm-row" id="ipquiz-publish">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Publish', 'ipquiz' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box-small ipadm-clear">
                                <?php
                                $status = 'publish';
                                if ( $promo ) {
                                    $status = $promo->post_status;
                                }
                                $statuses = array(
                                    'publish' => __( 'Publish', 'ipquiz' ),
                                    'draft'   => __( 'Draft', 'ipquiz' ),
                                );
                                ?>
                                <label for="ipquiz-input-status"><?php _e( 'Status', 'ipquiz' ); ?></label> :
                                <strong id="ipquiz-status-value"><?php echo $statuses[$status]; ?></strong>
                                <a id="ipquiz-edit-status" href="#" title="<?php _e( 'Edit', 'ipquiz' ); ?>" class="ipadm-btn ipadm-btn-mini ipadm-btn-default">
                                    <?php _e( 'Edit', 'ipquiz' ); ?>
                                </a>
                                <div id="ipquiz-status-values" class="ipadm-hide">
                                    <p><strong><?php _e( 'Select Status', 'ipquiz' ); ?></strong>
                                    <select id-="ipquiz-input-status" name="status">
                                    <?php
                                    foreach( $statuses as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $status ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label.'</option>';
                                    }
                                    ?>
                                    </select>
                                    </p>
                                </div>
                            </div>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box-small ipadm-clear">
                                <label for="ipquiz-input-status"><?php _e( 'Publish', 'ipquiz' ); ?></label> :
                                <strong id="ipquiz-status-value"><?php _e( 'Immediately', 'ipquiz' ); ?></strong>
                            </div>
                            <div class="ipadm-field-row ipadm-field-stripe">
                                <div class="ipadm-btn-wrap ipadm-clear">
                                    <span class="ipadm-btn-left">
                                        <input type="submit" value="<?php echo $submit; ?>" id="<?php echo $submitId; ?>" name="do_save_change" class="ipadm-btn ipadm-btn-primary">
                                    </span>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            
            <div id="ipquiz-settings" class="ipadm-row">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Settings', 'ipquiz' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                        
                            <?php
                            //Size
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-expand"></i>
                                        <label for="input-size"><?php _e( 'Size', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $size  = $setting->getSetting( 'size' );
                                        $sizes = array(
                                            'auto'          => __( 'Auto', 'ipquiz' ),
                                            'lands1'        => '728 x 90',
                                            'lands2'        => '468 x 60',
                                            'lands3'        => '350 x 60',
                                            'lands4'        => '234 x 60',
                                            'rect1'         => '300 x 250',
                                            'rect2'         => '180 x 150',
                                            'potrait1'      => '160 x 600',
                                            'potrait2'      => '120 x 600',
                                            'potrait3'      => '120 x 240',
                                            'custom'        => __( 'Custom', 'ipquiz' )
                                        );
                                        ?>
                                        <select name="size" id="ipquiz-input-size">
                                            <?php
                                            foreach( $sizes as $id => $label ) 
                                            {
                                                $sltd = '';
                                                if ( $id == $size ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $id . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <?php
                                if ( $size == 'custom' ) {
                                    $display = '';
                                } else {
                                    $display = ' style="display: none;"';
                                }
                                ?>
                                <div class="ipadm-toggle-option"<?php echo $display; ?>>
                                    <div class="ipadm-input-wrap">
    <div id="ipquiz-size-custom">
        <input type="text" class="ipadm-input ipadm-input-small" id="ipquiz-input-ad-width" name="size_width" value="<?php echo $setting->getSetting( 'size_width', '' ); ?>" placeholder="width (px)" />
        <span class="x-sym">x</span>
        <input type="text" class="ipadm-input ipadm-input-small" id="ipquiz-input-ad-height" name="size_height" value="<?php echo $setting->getSetting( 'size_height', '' ); ?>" placeholder="height (px) " />
    </div>
                                    </div>
                                </div>
                            </div>
                        
                            <?php
                            //Design
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-magic"></i>
                                        <label for="input-design"><?php _e( 'Design', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <select name="design" id="input-design">
                                            <?php
                                            $current = $setting->getSetting( 'design', '' );
                                            $designs = array(
                                                'left-clean'      => __( 'Clean Image Left', 'ipquiz' ),
                                                'right-clean'     => __( 'Clean Image Right', 'ipquiz' ),
                                                'left-rounded'    => __( 'Rounded Image Left', 'ipquiz' ),
                                                'right-rounded'   => __( 'Rounded Image Right', 'ipquiz' )
                                            );
                                            foreach( $designs as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        
                            <?php 
                            //Background Color
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-desktop"></i>
                                        <label for="input-bg-color"><?php _e( 'Background Color', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <input type="text" class="ipquiz-color-picker" id="input-bg-color" name="bg_color" value="<?php echo $setting->getSetting( 'bg_color', '#ffffff' ); ?>" />
                                    </div>
                                </div>
                            </div>
                            
                            <?php 
                            //Text
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-font"></i>
                                        <label for="input-text"><?php _e( 'Font', 'ipquiz' ); ?></label>
                                    </div>
                                </div>
                                
                                <div class="ipadm-toggle-option ipquiz-field-sub ipadm-clear">
                                    <div class="ipadm-input-wrap">
                                        
                                        <select name="font_size" id="input-font-size">
                                            <option value="0">-- <?php _e( 'Size', 'ipquiz' ); ?> --</option>
                                            <?php
                                            $current = $setting->getSetting( 'font_size', 'medium' );
                                            $sizes   = array(
                                                'small'  => __( 'Small', 'ipquiz' ),
                                                'medium' => __( 'Medium', 'ipquiz' ),
                                                'large'  => __( 'Large', 'ipquiz' )
                                            );
                                            foreach( $sizes as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                        <input type="text" class="ipquiz-color-picker" id="input-font-color" name="font_color" value="<?php echo $setting->getSetting( 'font_color', '#000000' ); ?>" />
                                    </div>
                                </div>
                            </div>
                        
                            <?php 
                            //Border
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-toggle">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-square-o"></i>
                                        <label for="input-border"><?php _e( 'Border', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                            <?php
                                            $val = $setting->getSetting( 'border', 'false' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' button-primary active';
                                            } else {
                                                $clon  = ' button-primary active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipquiz' ); ?></button>
                                            <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipquiz' ); ?></button>
                                            <input type="hidden" class="ipadm-av-value" name="border" value="<?php echo $val; ?>" />
                                        </div>
                                    </div>
                                </div>
                                <?php
                                if ( $val == 'true' ) {
                                    $display = '';
                                } else {
                                    $display = ' style="display: none;"';
                                }
                                ?>
                                <div class="ipadm-toggle-option"<?php echo $display; ?>>
                                    <div class="ipadm-input-wrap">
                    <input type="text" class="ipadm-input ipadm-input-small" id="input-border-size" name="border_size" value="<?php echo $setting->getSetting( 'border_size', '' ); ?>" placeholder="size" />
                    <input type="text" class="ipquiz-color-picker" id="input-border-color" name="border_color" value="<?php echo $setting->getSetting( 'border_color', '#000000' ); ?>" />
                                    </div>
                                </div>
                            </div>
                            
                            <?php
                            //Close link
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-toggle">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="fa fa-times-circle"></i>
                                        <label for="input-close-link"><?php _e( 'Close Link', 'ipquiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                            <?php
                                            $val = $setting->getSetting( 'close_link', 'false' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' button-primary active';
                                            } else {
                                                $clon  = ' button-primary active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipquiz' ); ?></button>
                                            <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipquiz' ); ?></button>
                                            <input type="hidden" class="ipadm-av-value" name="close_link" value="<?php echo $val; ?>" />
                                        </div>
                                    </div>
                                </div>
                                <?php
                                if ( $val == 'true' ) {
                                    $display = '';
                                } else {
                                    $display = ' style="display: none;"';
                                }
                                ?>
                                <div class="ipadm-toggle-option"<?php echo $display; ?>>
                                    <div class="ipadm-input-wrap">
                                    <label for="input-close-text"><?php _e( 'Text', 'ipquiz' ); ?></label>
                                        <input type="text" class="ipadm-input ipadm-input-full" id="input-close-text" name="close_text" value="<?php echo $setting->getSetting( 'close_text', '' ); ?>" />
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
    
</form>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Show content admin setting
         *
         * @return void
         */
        public function setting()
        {
        ?>
            <div id="ipquiz-admin" class="wrap ipadm-wrap ipquiz-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipquiz-page-title">
                            <h1><?php _e( 'EZ Quiz', 'ipquiz' ); ?></h1>
                        </div>
                    </div>
                    
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-form-wrap">
    
            <div id="ipquiz-sett-fb-appid" class="ipquiz-sett-section">
                <div class="ipquiz-page-subtitle">
                    <h3><?php _e( 'Facebook Settings', 'ipquiz' ); ?></h3>
                </div>
                <form id="ipquiz-form-fbsett" action="" method="post">
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-fb-appid"><?php _e( 'Facebook APP ID' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap">
                                <?php
                                $appid = get_option( 'ipquiz_fb_appid' );
                                ?>
                                <input class="ipadm-input" type="text" id="input-fb-appid" value="<?php echo $appid; ?>" size="30" name="fb_appid">
                            </div>
                        </div>
                    </div>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-share-message"><?php _e( 'Share Message' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap">
                                <?php
                                $msg = get_option( 'ipquiz_share_message' );
                                ?>
                                <textarea class="ipadm-input ipadm-input-full" id="input-share-message" name="share_message"><?php echo $msg; ?></textarea>
                                <p class="ipadm-input-info"><em><?php _e( 'Message will be displayed to your friends when you share to your friends to use a quiz application.', 'ipquiz' ); ?></em></p>
                            </div>
                        </div>
                    </div>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-invite-message"><?php _e( 'Invite Message' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap">
                                <?php
                                $msg = get_option( 'ipquiz_invite_message' );
                                ?>
                                <textarea class="ipadm-input ipadm-input-full" id="input-invite-message" name="invite_message"><?php echo $msg; ?></textarea>
                                <p class="ipadm-input-info"><em><?php _e( 'Message will be displayed to your friends when you invite your friends to use a quiz application.', 'ipquiz' ); ?></em></p>
                            </div>
                        </div>
                    </div>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipquiz-form-actions">
                            <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_fb_save" id="ipquiz-do-save-fb" value="<?php _e( 'Save', 'ipquiz' ); ?>" />
                        </div>
                    </div>
                </form>
            </div>
            <br />
            <div id="ipquiz-sett-homepromo" class="ipquiz-sett-section">
                
                <div class="ipquiz-page-subtitle">
                    <h3><?php _e( 'Home Quiz Promo', 'ipquiz' ); ?></h3>
                </div>
                <form id="ipquiz-form-promo-home" action="" method="post">
                    <div id="ipquiz-setting-content">
                        <div class="ipquiz-mbox-promos">
                        <?php
                        $data  = array();
                        $metas = (array)get_option( '__ipquiz_home_promos' );
                        if ( ! empty( $metas )) {
                            $meta = array_shift( $metas );
                            $ids  = maybe_unserialize( $meta );
                            $data = (array)$ids;
                        }
                        if ( ! empty( $data )):
                        ?>
                            <ul>
                            <?php
                            foreach( $data as $id => $setting ) :
                                if ( ! $promo = get_post( $setting['id'] )) {
                                    continue;
                                }
                            ?>
                                <li id="postPromo_<?php echo $id; ?>" class="ipadm-clear ipquiz-promo">
                                    <div class="ipquiz-promo-title">
                                        <strong><?php echo $promo->post_title; ?></strong>
                                        <a href="#" class="ipquiz-promo-edit">
                                            <?php _e( 'Edit', 'ipquiz' ); ?>
                                        </a>
                                    </div>
                                    <div class="ipquiz-promo-delete">
                                        <a href="#postPromo_<?php echo $id; ?>"><i class="fa fa-times-circle"></i></a>
                                    </div>
                                </li>
                            <?php
                            endforeach;
                            ?>
                            </ul>
                        <?php
                        else:
                        ?>
                        <div class="ipadm-empty"><em><?php _e( 'You have not added quiz promo in this post.', 'ipquiz' ); ?></em></div>
                        <?php
                        endif;
                        ?>
                        </div>
                    </div>
                    
                    <div class="ipquiz-btn-wrap">
                        <input type="submit" id="ipquiz-mbox-doadd" class="ipadm-btn ipadm-btn-primary" name="dosavehome" value="<?php _e( 'Add Quiz Promo', 'ipquiz' ); ?>" />
                    </div>
                </form>
            </div>
            
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
<div id="ipquiz-qpromo-mbpopup" class="ipquiz-scpup-root" style="display: none;">
    <div class="ipquiz-scpup-inner">
        <div class="ipquiz-scpup-main">
            <div class="ipquiz-scpup-title">
                <h3 id="ipquiz-post-add-title"><?php _e( 'Add Quiz Promo', 'ipquiz' ); ?></h3>
                <h3 id="ipquiz-post-edit-title" style="display:none;"><?php _e( 'Edit Quiz Promo', 'ipquiz' ); ?></h3>
                <div class="ipquiz-scpup-close">
                    <a class="ipquiz-scpup-close-link" href="#"><i class="fa fa-times"></i></a>
                </div>
            </div>
            <div class="ipquiz-scpup-content">
                
                <div class="ipadm-main">
                    <div class="ipadm-form-wrap">
                        <form id="ipquiz-form-add-promo" action="" method="post">
        
        <input type="hidden" id="value-post-promoid" name="promoid" value="0" />
        <input type="hidden" id="value-promotype" name="type" value="home" />
        
        <div class="ipquiz-row">
            <div class="ipquiz-modal-box">
                <div id="ipquiz-field-promo" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                    <div class="ipadm-label">
                        <label for="ipquiz-input-promo"><?php _e( 'Promo', 'ipquiz' ); ?></label>
                    </div>
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <?php
                            $args = array(
                                'orderby'        => 'post_date',
                                'order'          => 'DESC', 
                                'posts_per_page' => -1,
                                'post_type'      => 'ipquiz-promo-item',
                                'post_status'    => array('publish'),
                            );
                            $query  = new WP_Query;
                            $promos = $query->query( $args );
                            if ( ! empty( $promos )) :
                            ?>
                            <select name="ipquiz_promo" id="ipquiz-input-promo">
                                <?php
                                foreach( $promos as $promo ) {
                                    echo '<option value="' . $promo->ID . '">' . $promo->post_title . '</option>';
                                }
                                ?>
                            </select>
                            <a href="admin.php?page=ip-admak-add"><?php _e( 'Add New', 'ipquiz' ); ?></a>
                            <?php
                            else:
                            ?>
                            <p class="ipadm-empty">
                                <em><?php _e( 'Quiz are not available', 'ipquiz' ); ?>. 
                                    <a href="admin.php?page=ipquiz-add"><?php _e( 'Add New', 'ipquiz' ); ?></a>
                                </em></p>
                            <?php
                            endif;
                            ?>
                            
                        </div>
                    </div>
                </div>
                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                    <div class="ipadm-label">
                        <label for="ipquiz-input-position"><?php _e( 'Position', 'ipquiz' ); ?></label>
                    </div>
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <?php
                            $positions = array(
                                'topleft'       => 'Top Left',
                                'topcenter'     => 'Top Center',
                                'topright'      => 'Top Right',
                                'bottomleft'    => 'Bottom Left',
                                'bottomcenter'  => 'Bottom Center',
                                'bottomright'   => 'Bottom Right',
                            );
                            ?>
                            <select name="ipquiz_position" id="ipquiz-input-position">
                                <?php
                                foreach( $positions as $id => $label ) {
                                    echo '<option value="' . $id . '">' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="ipadm-field-row ipadm-field-box ipadm-clear">
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <span class="ipquiz-form-actions">
                                <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_add_ad" id="ipquiz-do-add-promopost" value="<?php _e( 'Add Promo', 'ipquiz' ); ?>" />
                                <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_edit_ad" id="ipquiz-do-edit-promopost" value="<?php _e( 'Edit Promo', 'ipquiz' ); ?>" style="display:none;"/>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            
                        </form>
                    </div>
                </div>
                
            </div>
            
        </div>
    </div>
</div>
<div id="ipquiz-modal-message-overlay" style="display:none;">
    <div id="ipquiz-modal-message"></div>
</div>

            </div>
        <?php
        }
        
        /**
         * Show content editor
         *
         * @return void
         */
        public function editor()
        {
        ?>
            <div id="ipquiz_scWrap" class="ipquiz-scpup-root" style="display: none;">
                <div class="ipquiz-scpup-inner">
                    <div id="ipquiz_scEditor" class="ipquiz-scpup-main">
                        <div class="ipquiz-scpup-title">
                            <h3><?php _e( 'EZ Quiz Shortcode', 'ipquiz' ); ?></h3>
                            <div class="ipquiz-scpup-close">
                                <a class="ipquiz-scpup-close-link" href="#"><i class="fa fa-times"></i></a>
                            </div>
                        </div>
                        <div class="ipquiz-scpup-content">
                            <form id="ipquiz_scForm" action="" method="post">
                            
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="ipquiz-input-sc-quiz"><?php _e( 'Select Quiz' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div class="ipadm-input-wrap">
                                            <?php
                                            $args = array(
                                                'orderby'        => 'post_date',
                                                'order'          => 'DESC', 
                                                'posts_per_page' => -1,
                                                'post_type'      => 'ipquiz-item',
                                                'post_status'    => array('publish'),
                                            );
                                            $query  = new WP_Query;
                                            $quizes = $query->query( $args );
                                            if ( ! empty( $quizes )) :
                                            ?>
                                            <select name="ipquiz_quiz" id="ipquiz-input-sc-quiz">
                                                <?php
                                                foreach( $quizes as $quiz ) {
                                                    echo '<option value="' . $quiz->ID . '">' . $quiz->post_title . '</option>';
                                                }
                                                ?>
                                            </select>
                                            <a href="admin.php?page=ipquiz-add"><?php _e( 'Add New', 'ipquiz' ); ?></a>
                                            <?php
                                            else:
                                            ?>
                                            <p class="ipadm-empty">
                                                <em><?php _e( 'Quizs are not available', 'ipquiz' ); ?>. 
                                                    <a href="admin.php?page=ipquiz-add"><?php _e( 'Add New', 'ipquiz' ); ?></a>
                                                </em></p>
                                            <?php
                                            endif;
                                            ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="ipadm-field-row ipadm-field-box ipadm-clear">
                                    <div class="ipadm-field">
                                        <div class="ipadm-input-wrap">
                                            <input type="submit" class="ipadm-btn ipadm-btn-primary" name="ipquiz_scAdd" id="ipquiz-sc-add" value="<?php _e( 'Add Quiz', 'ipquiz' ); ?>" />
                                        </div>
                                    </div>
                                </div>
                    
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Show content for meta box
         *
         * @return void
         */
        public function metaBox( $post )
        {
        ?>
            <div id="ipquiz_metaBoxPromo">
                <div class="ipquiz-mbox-main">
                    <div id="ipquiz-mbox-messages"></div>
                    <div class="ipquiz-mbox-promos">
                    <?php
                    $data = array();
                    $meta = get_post_meta( $post->ID, '__ipquiz_post_promos', true );
                    if ( ! empty( $meta )) {
                        $data = maybe_unserialize( $meta );
                    }
                    if ( ! empty( $data )):
                    ?>
                        <ul>
                        <?php
                        foreach( $data as $id => $setting ) :
                            if ( ! $promo = get_post( $setting['id'] )) {
                                continue;
                            }
                        ?>
                            <li id="postPromo_<?php echo $id; ?>" class="ipadm-clear ipquiz-promo">
                                <div class="ipquiz-promo-title">
                                    <strong><?php echo $promo->post_title; ?></strong>
                                    <a href="#" class="ipquiz-promo-edit">
                                        <?php _e( 'Edit', 'ipquiz' ); ?>
                                    </a>
                                </div>
                                <div class="ipquiz-promo-delete">
                                    <a href="#postPromo_<?php echo $id; ?>"><i class="fa fa-times-circle"></i></a>
                                </div>
                            </li>
                        <?php
                        endforeach;
                        ?>
                        </ul>
                    <?php
                    else:
                    ?>
                    <div class="ipadm-empty"><em><?php _e( 'You have not added quiz promo in this post.', 'ipquiz' ); ?></em></div>
                    <?php
                    endif;
                    ?>
                    </div>
                </div>
                <div class="ipadm-divider"></div>
                <div class="ipquiz-mbox-add">
                    <a class="ipadm-btn ipadm-btn-default ipadm-btn-small" href="#" id="ipquiz-mbox-doadd"><?php _e( 'Add Promo' ); ?></a>
                </div>
            </div>

<div id="ipquiz-qpromo-mbpopup" class="ipquiz-scpup-root" style="display: none;">
    <div class="ipquiz-scpup-inner">
        <div class="ipquiz-scpup-main">
            <div class="ipquiz-scpup-title">
                <h3 id="ipquiz-post-add-title"><?php _e( 'Add Quiz Promo', 'ipquiz' ); ?></h3>
                <h3 id="ipquiz-post-edit-title" style="display:none;"><?php _e( 'Edit Quiz Promo', 'ipquiz' ); ?></h3>
                <div class="ipquiz-scpup-close">
                    <a class="ipquiz-scpup-close-link" href="#"><i class="fa fa-times"></i></a>
                </div>
            </div>
            <div class="ipquiz-scpup-content">
                
                <div class="ipadm-main">
                    <div class="ipadm-form-wrap">
                        <form id="ipquiz-form-add-promo" action="" method="post">
        
        <input type="hidden" id="value-post-promoid" name="promoid" value="0" />
        <input type="hidden" id="value-promotype" name="type" value="post" />
        
        <div class="ipquiz-row">
            <div class="ipquiz-modal-box">
                <div id="ipquiz-field-promo" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                    <div class="ipadm-label">
                        <label for="ipquiz-input-promo"><?php _e( 'Promo', 'ipquiz' ); ?></label>
                    </div>
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <?php
                            $args = array(
                                'orderby'        => 'post_date',
                                'order'          => 'DESC', 
                                'posts_per_page' => -1,
                                'post_type'      => 'ipquiz-promo-item',
                                'post_status'    => array('publish'),
                            );
                            $query  = new WP_Query;
                            $promos = $query->query( $args );
                            if ( ! empty( $promos )) :
                            ?>
                            <select name="ipquiz_promo" id="ipquiz-input-promo">
                                <?php
                                foreach( $promos as $promo ) {
                                    echo '<option value="' . $promo->ID . '">' . $promo->post_title . '</option>';
                                }
                                ?>
                            </select>
                            <a href="admin.php?page=ip-admak-add"><?php _e( 'Add New', 'ipquiz' ); ?></a>
                            <?php
                            else:
                            ?>
                            <p class="ipadm-empty">
                                <em><?php _e( 'Quiz are not available', 'ipquiz' ); ?>. 
                                    <a href="admin.php?page=ipquiz-add"><?php _e( 'Add New', 'ipquiz' ); ?></a>
                                </em></p>
                            <?php
                            endif;
                            ?>
                            
                        </div>
                    </div>
                </div>
                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                    <div class="ipadm-label">
                        <label for="ipquiz-input-position"><?php _e( 'Position', 'ipquiz' ); ?></label>
                    </div>
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <?php
                            $positions = array(
                                'topleft'       => 'Top Left',
                                'topcenter'     => 'Top Center',
                                'topright'      => 'Top Right',
                                'bottomleft'    => 'Bottom Left',
                                'bottomcenter'  => 'Bottom Center',
                                'bottomright'   => 'Bottom Right',
                            );
                            ?>
                            <select name="ipquiz_position" id="ipquiz-input-position">
                                <?php
                                foreach( $positions as $id => $label ) {
                                    echo '<option value="' . $id . '">' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="ipadm-field-row ipadm-field-box ipadm-clear">
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <span class="ipquiz-form-actions">
                                <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_add_ad" id="ipquiz-do-add-promopost" value="<?php _e( 'Add Promo', 'ipquiz' ); ?>" />
                                <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_edit_ad" id="ipquiz-do-edit-promopost" value="<?php _e( 'Edit Promo', 'ipquiz' ); ?>" style="display:none;"/>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            
                        </form>
                    </div>
                </div>
                
            </div>
            
        </div>
    </div>
</div>
<div id="ipquiz-modal-message-overlay" style="display:none;">
    <div id="ipquiz-modal-message"></div>
</div>
        <?php
        }
    }
}