<?php
if ( ! class_exists( 'IPQuiz_Form' )) {

    /**
     * Class form checker
     */
    class IPQuiz_Form
    {
        /**
         * Parse form html
         *
         * @param  string $html
         * @return array
         */
        public static function parse( $html )
        {
            $html = stripslashes( $html );
            //Get form action
            $action = '';
            preg_match_all( '@action=\"([^\"]+)\"@', $html, $matches );
            if ( ! empty( $matches[1] )) {
                $action = array_shift( $matches[1] );
            }
            //Get input
            $fields  = array();
            $hiddens = array();
            preg_match_all( '@\<input([^\>]+)\>@', $html, $matches );
            if ( ! empty( $matches[1] )) {
                foreach( $matches[1] as $input ) {
                    $type  = $name = '';
                    $attrs = explode( ' ', $input );
                    $type  = '';
                    $name  = '';
                    $value = '';
                    foreach( $attrs as $attr ) {
                        $meta = explode( '=', $attr );
                        if ( ! empty( $meta[0] ) && ! empty( $meta[1] )) {
                            $key  = str_replace( array( '"',"'" ), '', $meta[0] );
                            $val  = str_replace( array( '"',"'" ), '', $meta[1] );
                            if ( $key == 'type' ) {
                                $type = $val;
                            } elseif ( $key == 'name' ) {
                                $name = $val;
                            } elseif ( $key == 'value' ) {
                                $value = $val;
                            }
                        }
                    }
                    if ( $type == 'email' || $type == 'text' ) {
                        $fields[] = $name;
                    } elseif ( $type == 'hidden' ) {
                        $hiddens[$name] = $value;
                    }
                }
            }
            return array(
                'action'    => $action,
                'fields'    => $fields,
                'hiddens'   => $hiddens
            );
        }
    }
}