/**
 * Menu control
 **/
(function($){

    //Delete post promo
    $.fn.ipquiz_delete_post_promo = function(){
    
        $( this ).each( function() {
            var root = $(this);
            $( 'a', root ).click( function(){
                
                var formdata = '';
                var postId   = $( '#post_ID' ).val();
                var href     = $( this ).attr( 'href' );
                var listId   = href.replace( '#postPromo_', '' );
                var type     = $( '#value-adtype' ).val();
                formdata    += 'postid='+postId+'&listid='+listId+'&type='+type;
                
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_deletepostpromo',
                    type: "POST",
                    data: formdata,
                    dataType: "json",
                    success: function ( result ) {
                        if ( result.status == 1 ) {
                            ipquiz_gtools.showModalMessage( result.message, 'ipadm-success' );
                            var item = $(href);
                            item.hide( 'blind' );
                            setTimeout( function(){
                                item.remove();
                            }, 600);
                        } else {
                            ipquiz_gtools.showModalMessage( result.message, 'ipadm-error' );
                        }
                    }
                });
                return false;
            });
        });
    };
    
    //Edit post promo
    $.fn.ipquiz_edit_post_promo = function(){
    
        $( this ).each( function() 
        {
            var button = $(this);
            button.click( function()
            {
                var item  = button.parents( '.ipquiz-promo' );
                var id    = item.attr( 'id' ).replace( 'postPromo_', '' );
                var root  = button.parents( '#ipquiz_metabox' );
                
                //Reset form
                $( 'option', root ).removeAttr( 'selected' );
                $( 'input[type="text"]', root ).val('');
                $( '#value-post-promoid' ).val(0);
                
                var loader = $( '<div style="margin-left: 16px;" class="ipadm-loader-small"></div>' );
                $( '.ipquiz-promo-title', item ).append( loader );
                
                var type   = $( '#value-promotype' ).val();
                var postId = $( '#post_ID' ).val();
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_getpostpromo',
                    type: "POST",
                    data: 'id='+id+'&postid='+postId+'&type='+type,
                    dataType: "json",
                    success: function ( result ) {
                        if ( result.status == 1 ) 
                        {
                            $( '#ipquiz-input-promo option[value="'+result.data.id+'"]' ).attr( 'selected', 'selected' );
                            $( '#ipquiz-input-position option[value="'+result.data.position+'"]' ).attr( 'selected', 'selected' );
                            $( '#value-post-promoid' ).val( id );
                            
                            $( '#ipquiz-post-add-title' ).hide();
                            $( '#ipquiz-post-edit-title' ).show();
                            $( '#ipquiz-do-add-promopost' ).hide();
                            $( '#ipquiz-do-edit-promopost' ).show();
                            var popup  = jQuery( '#ipquiz-qpromo-mbpopup' );
                            if ( popup.length > 0 ) 
                            {
                                ipquiz_ui.popup.show( popup, {
                                    'width': '600px'
                                });
                            }
                        } 
                        else {
                            ipquiz_gtools.showModalMessage( result.message, 'ipadm-error' );
                        }
                        loader.remove();
                    }
                });
                return false;
            });
        });
    };
    
    //Tools
    var ipquiz_gtools = {
    
        goTo: function( id ){
            var pos = $( id ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        },
        showMessage: function( msg, eclass ) {
            
            $( '#ipadm-messages' ).html( msg )
                                  .attr( 'class', eclass )
                                  .show();
                                  
            setTimeout( function(){
                $( '#ipadm-messages' ).animate({opacity: "0"}, 600, function(){
                    $(this).html( '' ).hide();
                    $( '#ipadm-messages' ).css( 'opacity', 1 );
                });
            }, 4000 );
        },
        showInputMessage: function( msg, type, input ) {
    
            $( '.ipadm-alert' ).remove();
            var msgHtml = $( '<div class="ipadm-alert"></div>' );
            msgHtml.addClass( 'ipadm-alert-' + type );
            msgHtml.html( msg );
            
            $( input ).before( msgHtml );
            setTimeout( function(){
                msgHtml.animate({opacity: "0"}, 600, function(){
                    msgHtml.remove();
                });
            }, 4000 );
        },
        showModalMessage: function( message, type )
        {
            $( '#ipquiz-modal-message' ).text( message );
            $( '#ipquiz-modal-message-overlay' )
                .removeAttr( 'class' )
                .attr( 'class', type )
                .show()
                .animate({top: "0"}, 600, function(){
                    var msg = $(this);
                    setTimeout( function(){
                        msg.animate({top: '-100px'}, 600, function(){
                            msg.hide();
                        });
                    }, 4000);
                });
        },
        getdataform: function( parent ) 
        {
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';
            
            var data = '';
            
            $( selector, parent ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );
                
                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            return data;
        },
        showModalConfirm: function()
        {
            $( '#ipquiz-modal-confirm-overlay' ).show();
            return $( '#ipquiz-modal-confirm' )
                        .css( 'margin-top', '-40%' )
                        .animate({marginTop: "100px"}, 400);
        },
        hideModalConfirm: function()
        {
            $( '#ipquiz-modal-confirm-overlay' )
                .animate( {opacity: 0}, 600, function(){
                    $(this).css( 'opacity', 1 )
                           .hide();
            });
            $( '#ipquiz-modal-confirm' )
                .animate( {marginTop: '-60%'}, 400);
            
        },
    };
    
    ipquiz_ui = 
    {
        popup: {
        
            show: function( popup, settings )
            {
                width = '100%';
                if ( settings.width ) {
                    width = settings.width;
                }
                popup = $(popup);
                var inner = $( '.ipquiz-scpup-inner', popup )
                               .css( 'margin-top', '-60%' )
                               .css( 'width', width );
                popup.show();
                inner.animate({marginTop: "0"}, 400);
            },
            hide: function( popup )
            {
                popup = $(popup);
                $( '.ipquiz-scpup-inner', popup )
                      .animate( {marginTop: '-60%'}, 400);
                
                popup.animate( {opacity: 0}, 600, function(){
                    popup.css( 'opacity', 1 )
                         .hide();
                });
            },
            open: function( link )
            {
                $( link ).click( function()
                {
                    var href   = $(this).attr( 'href' );
                    var popup  = $( href );
                    if ( popup.length > 0 ) 
                    {
                        ipquiz_ui.popup.show( popup );
                    }
                    return false;
                });
            },
            close: function( after )
            {
                $( '.ipquiz-scpup-close-link' ).click( function()
                {
                    var popup = $(this).parents( '.ipquiz-scpup-root' );
                    ipquiz_ui.popup.hide( popup );
                    if ( after ) {
                        after();
                    }
                    return false;
                });
            }
        }
    };
    
    $(document).ready(function() 
    {
        //Insert Editor
        $( "#ipquiz-sc-add" ).click( function()
        {
            var btn = $(this);
            var aed = tinyMCE.activeEditor;
            if ( aed ) 
            {
                var attr = 'quiz="' + $( '#ipquiz-input-sc-quiz' ).val() + '"';
                var content = '[ez-quiz ' + attr + '][/ez-quiz]';
                aed.selection.setContent( content );
                $( '#ipquiz_scForm input[type="text"]' ).val( '' );
                $( '#ipquiz_scForm option' ).removeAttr( 'selected' );
            }
            
            var popup = btn.parents( '.ipquiz-scpup-root' );
            ipquiz_ui.popup.hide( popup );
            return false;
        });
        
        //Add post promo
        $( '#ipquiz-mbox-doadd' ).click( function()
        {
            openPromoModal( $(this) );
            return false;
        });
        
        //Close post promo modal
        $( '.ipquiz-modal-close-link, .ipquiz-modal-cancel' ).click( function()
        {
            var parent = $(this).parents( '.ipquiz-modal' );
            parent.hide();
            return false;
        });
        
        function openPromoModal( link )
        {
            // Open window
            var popup  = jQuery( '#ipquiz-qpromo-mbpopup' );
            if ( popup.length > 0 ) 
            {
                ipquiz_ui.popup.show( popup, {
                    'width': '600px'
                });
            }
            var root = link.parents( '#ipquiz_metabox' );
            resetPromoForm( root );
            $( '#ipquiz-post-add-title' ).show();
            $( '#ipquiz-post-edit-title' ).hide();
            $( '#ipquiz-do-add-promopost' ).show();
            $( '#ipquiz-do-edit-promopost' ).hide();
        }
        function resetPromoForm( root )
        {
            $( 'option', root ).removeAttr( 'selected' );
            $( 'input[type="text"]', root ).val('');
            $( '#value-post-promoid' ).val(0);
        }
        
        //Add post promo
        $( '#ipquiz-do-add-promopost' ).click( function()
        {
            var button   = $(this);
            var modal    = button.parents( '.ipquiz-scpup-root' );
            var actions  = button.parents( '.ipquiz-form-actions' );
            var loader   = $( '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>' );
            
            $( '.ipadm-btn', actions ).attr( 'disabled', 'disabled' );
            $( '#ipquiz-scpup-close-link', modal ).hide();
            actions.append( loader );
            
            var postId   = $( '#post_ID' ).val();
            var formdata = ipquiz_gtools.getdataform( modal );
            formdata += '&postid='+postId;
            
            $.ajax({
                url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_addpostpromo',
                type: "POST",
                data: formdata,
                dataType: "json",
                success: function ( result ) {
                    if ( result.status == 1 ) 
                    {
                        if ( $( '.ipquiz-mbox-promos ul' ).length > 0 ) {
                            $( '.ipquiz-mbox-promos ul' ).append( result.html );
                        } else {
                            var ul = $( '<ul></ul>' ).append( result.html );
                            $( '.ipquiz-mbox-promos' ).html( ul );
                        }
                        var item = $( '#postPromo_' + result.id );
                        $( '.ipquiz-promo-delete', item ).ipquiz_delete_post_promo();
                        $( '.ipquiz-promo-edit', item ).ipquiz_edit_post_promo();
                    }
                    
                    $( '#ipquiz-scpup-close-link', modal ).show();
                    $( '.ipadm-btn', actions ).removeAttr( 'disabled' );
                    loader.remove();
                    ipquiz_ui.popup.hide( modal );
                    resetPromoForm( modal );
                    if ( result.status == 1 ) {
                        ipquiz_gtools.showModalMessage( result.message, 'ipadm-success' );
                    } else {
                        ipquiz_gtools.showModalMessage( result.message, 'ipadm-error' );
                    }
                }
            });
            return false;
        });
        
        
        //Edit post promo
        $( '#ipquiz-do-edit-promopost' ).click( function()
        {
            var button   = $(this);
            var modal    = button.parents( '.ipquiz-scpup-root' );
            var actions  = button.parents( '.ipquiz-form-actions' );
            var loader   = $( '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>' );
            
            $( '.ipadm-btn', actions ).attr( 'disabled', 'disabled' );
            $( '#ipquiz-scpup-close-link', modal ).hide();
            actions.append( loader );
            
            var postId   = $( '#post_ID' ).val();
            var promoId  = $( '#value-post-promoid' ).val();
            var formdata = ipquiz_gtools.getdataform( modal );
            formdata += '&postid='+postId;
            
            $.ajax({
                url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_editpostpromo',
                type: "POST",
                data: formdata,
                dataType: "json",
                success: function ( result ) {
                    if ( result.status == 1 ) {
                        ipquiz_gtools.showModalMessage( result.message, 'ipadm-success' );
                    } else {
                        ipquiz_gtools.showModalMessage( result.message, 'ipadm-error' );
                    }
                    $( '#postPromo_'+promoId+' .ipquiz-promo-title strong' ).text( result.title );
                    $( '#ipquiz-scpup-close-link', modal ).show();
                    $( '.ipadm-btn', actions ).removeAttr( 'disabled' );
                    loader.remove();
                    ipquiz_ui.popup.hide( modal );
                    resetPromoForm( modal );
                }
            });
            return false;
        });
        
        //Execute
        $( '.ipquiz-promo-delete' ).ipquiz_delete_post_promo();
        $( '.ipquiz-promo-edit' ).ipquiz_edit_post_promo();
        
        //Popup close
        ipquiz_ui.popup.close();
    });
    
})(jQuery);